<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>Two ways to work with MySQL</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>Two ways to work with MySQL</h1>
    <h2>A command-line client</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
[gerlanjr@bscacad3 ~]> mysql
mysql: [Warning] Using a password on the command line interface can be insecure.
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 21391
Server version: 5.7.31 MySQL Community Server (GPL)

Copyright (c) 2000, 2020, Oracle and/or its affiliates. All rights reserved.

Oracle is a registered trademark of Oracle Corporation and/or its
affiliates. Other names may be trademarks of their respective
owners.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

mysql> select * from products1;
+----+----------+-----------------------+-------+
| id | sku      | name                  | price |
+----+----------+-----------------------+-------+
|  1 | TY232278 | AquaSmooth Toothpaste |  2.25 |
|  2 | PO988932 | HeadsFree Shampoo     |  3.99 |
|  3 | ZP457321 | Painless Aftershave   |  4.50 |
|  4 | KL334899 | WhiskerWrecker Razors |  4.17 |
+----+----------+-----------------------+-------+
4 rows in set (0.01 sec)

mysql> exit
Bye
[gerlanjr@bscacad3 ~]>
      </pre>
    </div>
    <h2>A web-based client</h2>
    <h3>phpMyAdmin</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <p>See <a href="http://bscacad3.buffalostate.edu/~gerlanjr/phpMyAdmin/" target="_blank">http://bscacad3.buffalostate.edu/~gerlanjr/phpMyAdmin/</a></p>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>How to import and run a SQL script that creates a database</h2>
    <h2>How to review the data and structure of a table</h2>
    <h2>How to run SQL commands</h2>
    </div>
    <h2>How to create users with limited privileges</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      GRANT ALL PRIVILEGES ON <em>database-name</em>.* TO '<em>userid</em>'@'%' IDENTIFIED BY '<em>user=db-password</em>';
      </pre>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>