<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to connect to a database and handle exceptions</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to connect to a database</h1>
    <h2>The syntax for creating an object from any class</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
      new ClassName(arguments);
      </pre>
    </div>
    <h2>The syntax for creating a database object from the PDO class</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      new PDO($dsn, $username, $password);
      </pre>
    </div>
    <h2The syntax for a DSN (Data Source Name) for a MySQL database></h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      mysql:host=host_address;dbname=database_name
      </pre>
    </div>
    <h2>How to connect to a MySQL database named my_guitar_shop1</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $dsn = "mysql:host=localhost;dbname=my_guitar_shop1";
      $username = "mgs_user";
      $password = "pa55word";
      $db = new PDO($dsn, $username, $password); // creates PDO object 
      </pre>
    </div>
    <h2>How to connect to your MySQL database on bscacad3.buffalostate.edu</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $dsn = "mysql:host=bscacad3.buffalostate.edu;dbname=<em>your-bsc-userid</em>";
      $username = "<em>your-bsc-userid</em>";
      $password = "<em>your-Banner-id</em>";
      $db = new PDO($dsn, $username, $password); // creates PDO object      
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>To create an object from a class, you code the <code>new</code> keyword, followed by the name of the class, followed by a set of parentheses. Within the parentheses, you code the arguments that are required by the class, separating multiple arguments with commas.</li>
        <li>To create a PDO object that connects to a MySQL database, you use the PDO class with the three arguments shown above: DSN (Data Source Name), username, and password.</li>
        <li>The DSN for a MySQL connection specifies the host computer for the MySQL database and the name of the database. If the MySQL database is running on the same server as PHP, you can use the localhost keyword to specify the host computer.</li>
        <li>The PDO (PHP Data Objects) extension to PHP defines a consistent interface for accessing databases. Since PDO supports most popular databases, this lets you write PHP code that can be used for more than one type of database.</li>
        <li>PDO is included with PHP 5.1 and later and is available as a PECL extension for PHP 5.0. However, PDO doesn’t work with earlier versions of PHP. For those versions, you must use the skills presented in chapter 19.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>