<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to execute INSERT, UPDATE, and DELETE statements</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to execute INSERT, UPDATE, and DELETE statements</h1>
    <h2>How to execute an INSERT statement</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
      $category_id = 1;
      $code = 'strat';
      $name = 'Fender Stratocaster';
      $price = 699.99;
      $query = "INSERT INTO products (categoryID, productCode, productName, listPrice) 
                VALUES (:category_id, :code, :name, :price)";
      $statement = $db->prepare($query);
      $statement->bindValue(':category_id', $category_id);
      $statement->bindValue(':code', $code);
      $statement->bindValue(':name', $name);
      $statement->bindValue(':price', $price);
      $statement->execute();
      $statement->closeCursor(); 
      </pre>
    </div>
    <h2>How to execute an UPDATE statement</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $product_id = 4;
      $price = 599.99;
      $query = "UPDATE products 
                SET listPrice = :price 
                WHERE productID = :product_id";
      $statement = $db->prepare($query);
      $statement->bindValue(':price', $price);
      $statement->bindValue(':product_id', $product_id);
      $statement->execute(); $statement->closeCursor();
      </pre>
    </div>
    <h2>How to execute a DELETE statement</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $product_id = 4;
      $query = "DELETE FROM products 
                WHERE productID = :product_id";
      $statement = $db->prepare($query);
      $statement->bindValue(':product_id', $product_id);
      $statement->execute();
      $statement->closeCursor();
      </pre>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>