<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to get data from a form</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to get data from a form</h1>
    <h2>The HTML for three types of fields </h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;input type="text" id="user_name" name="user_name" value="harris" /&gt;
      &lt;input type="password" id="user_password" name="user_password" /&gt;
      &lt;input type="hidden" id="action" name="action" value="login" /&gt;
      </pre>
    </div>
    <h2>The URL when using the GET method</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      process_data.php?user_name=rharris&amp;password=s3cr3t72&action=login
      </pre>
    </div>
    <h2>The URL when using the POST method</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      process_data.php
      </pre>
    </div>
    <h2>The PHP for the POST method</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;?php
      $user_name     = filter_input(INPUT_POST, 'user_name');
      $user_password = filter_input(INPUT_POST, 'user_password');
      $action        = filter_input(INPUT_POST, 'action');
      ?&gt;
      </pre>
    </div>
    <ul>
      <li>A text box allows the user to type data into the box.</li>
      <li>A password box allows the user to type data into the box, but it obscures the characters typed by the user. This prevents sensitive data from being displayed on the screen.</li>
      <li>A hidden field allows the programmer to add additional name/value pairs to the form.</li>
      <li>If the form uses the GET method, the data for the fields is displayed in the URL.</li>
    </ul>
    <p><a href=".">Back</a></p>
  </body>
</html>