<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to display data with echo and print statements</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to display data with <code>echo</code> and <code>print</code> statements</h1>
    <h2>The <code>echo</code> statement</h2>
    <h3>Examples</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      echo 'Welcome to PHP and MySQL!';
      echo 'Name: ' . $name; 
      echo('Name: ' . $name); 
      echo 'Cost: $', $cost;
      echo("Cost: $cost");
      </pre>
    </div>
    <h2>The <code>print</code> statement</h2>
    <h3>Examples</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      print 'Welcome to PHP and MySQL!'; 
      print 'Name: ' . $name; 
      print('Name: ' . $name);
      print("Name: $name");
      </pre>
    </div>
    <h2>Using <code>print</code> in an expression</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;?php
      ($age >= 18) ? print('Can vote.') : print('Cannot vote.');
      ?&gt;
      </pre>
    </div>
    <ul>
      <li>The echo and print statements send strings to the web page. Non-string values are converted to strings before they are sent to the web page.</li>
      <li>The echo statement can accept one or more string values, but the print statement can only accept one value.</li>
      <li>The parentheses are optional. However, if you are providing multiple values to the echo statement, you must omit the parentheses.</li>
      <li>The echo statement doesn’t return a value and cannot be used as part of an expression. However, the print statement returns a value of 1 so it can be used as part of an expression.</li>
      <li>The echo and print statements aren’t functions. They are part of the PHP language definition.</li>
    </ul>
    <p><a href=".">Back</a></p>
  </body>
</html>