<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to get data from a list box</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to get data from a list box</h1>
    <h2>The HTML for a list box that doesn’t allow multiple selections</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;select id="card_type" name="card_type" size="3"&gt;
        &lt;option value="visa"&gt;Visa&lt;/option&gt;
        &lt;option value="mastercard"&gt;MasterCard&lt;/option&gt;
        &lt;option value="discover"&gt;Discover&lt;/option&gt;
      &lt;/select&gt;
      </pre>
    </div>
    <h2>The HTML for a list box that allows multiple selections</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;select id="toping" name="top[]" size="3" multiple&gt;
        &lt;option value="pep"&gt;Peperoni&lt;/option&gt;
        &lt;option value="msh"&gt;Mushrooms&lt;/option&gt;
        &lt;option value="olv"&gt;Olives&lt;/option&gt;
      &lt;/select&gt;
      </pre>
    </div>
    <h2>The PHP for a list box that allows multiple options to be selected</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;?php
      $toppings = filter_input(INPUT_POST, 'top', 
                               FILTER_SANITIZE_SPECIAL_CHARS, FILTER_REQUIRE_ARRAY);
      foreach($toppings as $key => $value) {
        echo("$key = $value&lt;br /&gt;\n");
      }
        echo("&lt;/p&gt;\n");
      } else {
        echo("No toppings selected.&lt;/p&gt;\n");
      }
      ?&gt;
      </pre>
    </div>
    <ul>
      <li>A list box allows the user to select zero or more options from a group of options.</li>
      <li>If a list box allows multiple options to be selected, the list box name must end with [].</li>
    </ul>
    <p><a href=".">Back</a></p>
  </body>
</html>