<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to get data from a radio button</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to get data from a radio button</h1>
    <h2>The HTML for three radio buttons in a group</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;input type="radio" id="visa" name="card_type" checked /&gt;Visa&lt;br&gt;
      &lt;input type="radio" id="mastercard" name="card_type" /&gt;MasterCard&lt;br&gt;
      &lt;input type="radio" id="discover" name="card_type" /&gt;Discover&lt;br&gt;
      </pre>
    </div>
    <h2>The PHP to access a radio button group</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;?php
      $card_type = filter_input(INPUT_POST, 'card_type');
      ?&gt;
      </pre>
    </div>
    <h2>The PHP to add a default value for a group with no default button</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;?php
      $card_type = filter_input(INPUT_POST, 'card_type'); 
      if ($card_type == NULL) { 
        $card_type = 'unknown'; 
      }
      ?&gt;
      </pre>
    </div>
    <ul>
      <li>A radio button allows the user to select one option from a group of options.</li>
      <li>If none of the radio buttons in the group are selected, the name/value pair for the group is not submitted to the server as part of the form, and the filter_input() function returns NULL.</li>
      <li>If you code the checked attribute for more than one radio button, the browser selects the last radio button when the page loads.</li>
    </ul>
    <p><a href=".">Back</a></p>
  </body>
</html>