<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to get data from a drop-down list</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to get data from a drop-down list</h1>
    <h2>The HTML for a drop-down list</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;select id="card_type" name="card_type"&gt;
        &lt;option value="visa"&gt;Visa&lt;/option&gt;
        &lt;option value="mastercard"&gt;MasterCard&lt;/option&gt;
        &lt;option value="discover"&gt;Discover&lt;/option&gt;
      &lt;/select&gt;
      </pre>
    </div>
    <h2>The HTML to set a default option</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;option value="visa" selected&gt;Visa&lt;/option&gt;      
      </pre>
    </div>
    <h2>The PHP to access the drop-down list data</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;?php
      $card_type = filter_input(INPUT_POST, 'card_type');
      ?&gt;
      </pre>
    </div>
    <ul>
      <li>A drop-down list lets the user select one option from a group of options.</li>
      <li>If the selected attribute isn’t coded, the first option in the drop-down list is selected by default.</li>
    </ul>
    <p><a href=".">Back</a></p>
  </body>
</html>