<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to get data from a text area</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to get data from a text area</h1>
    <h2>The HTML for a textarea</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;textarea id="comment" name="comment" rows="4" cols="50">&gt;Welcome to PHP and MySQL!&lt;/textarea&gt;
      </pre>
    </div>
    <h2>The URL when using the GET method</h2>
    <h3>When the user includes spaces in the text area </h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
       process_data.php?comment=Welcome+to+PHP+and+MySQL!
      </pre>
    </div>
    <h3>When the user presses the Enter or Return key to start a new line</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      process_data.php?comment=Welcome+to%0D%0APHP+and+MySQL!
      </pre>
    </div>
    <h3>When the user doesn’t enter any text</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      process_data.php?comment=
      </pre>
    </div>
    <h2>The PHP to get the data from the text area</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;?php
      $comment = filter_input(INPUT_POST, 'comment');
      ?&gt;
      </pre>
    </div>
    <ul>
      <li>A text area allows the user to enter multiple lines of text.</li>
      <li>To set the default text for a text area, code the default text between the opening and closing tags.</li>
      <li>If the user types past the end of the line, a text area uses a soft return to start a new line. If the user presses the Enter or Return key, a text area uses a hard return to start a new line.</li>
      <li>If the user doesn’t enter any text, the name/value pair for the text area is submitted to the server with an empty string for the value.</li>
    </ul>
    <p><a href=".">Back</a></p>
  </body>
</html>