<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to display data on a web page</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to format special characters</h1>
    <h2>An example that uses special characters</h2>
    <h3>The text entered by the user</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      Welcome to &lt;i&gt;PHP&lt;/i&gt; and MySQL!
      </pre>
    </div>
    <h3>PHP that converts special characters to character entities</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;?php
      $comment = $_POST['comment']; 
      $comment = htmlspecialchars($comment);
      ?&gt;
      &lt;p&gt;&lt;?php echo("$comment"); ?&gt;&lt;/p&gt;
      </pre>
    </div>
    <h3>The data displayed in the browser</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      Welcome to &lt;i&gt;PHP&lt;/i&gt; and MySQL!
      </pre>
    </div>
    <h3>A double-encoded less than character entity (&lt;)</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &amp;lt;
      </pre>
    </div>
    <h3>A statement that prevents double encoding</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $comment = htmlspecialchars($comment, ENT_COMPAT, 'ISO-8859-1', false);
      </pre>
    </div>
    <h2>How to format line breaks</h2>
    <h3>The text entered into the text area</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      Welcome to 
      PHP and MySQL!
      </pre>
    </div>
    <h3>PHP that converts line break characters to HTML line break tags</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;php
      $comment = filter_input(INPUT_POST, 'comment'); 
      $comment = nl2br($comment, false); // usetags &lt;br&gt;, not &;t'br /&gt; tags
      ?&gt;      
      </pre>
    </div>
    <h3>The data displayed in the browser</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      Welcome to
      PHP and MySQL!
      </pre>
    </div>
    <ul>
      <li>An HTML character entity lets you display some special characters on a web page.</li>
      <li>The htmlspecialchars() function converts some special characters into character entities. This provides a way to display special characters and helps to guard against XSS attacks. You can also use this function to prevent double encoding of character entities.</li>
      <li>The nl2br() function converts new line characters in a string to HTML tags. This lets you display the line breaks on a web page.</li>
    </ul>
    <p><a href=".">Back</a></p>
  </body>
</html>