<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to use break and continue statements</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to use <code>break</code> and <code>continue</code> statements</h1>
    <h2>The <code>break</code> statement in a <code>while</code> loop</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      while (true) { 
        $number = mt_rand(1, 10); 
        if ($number % 2 == 0) { 
          break; // exits the while loop and executes the echo statement next
        } 
      } 
      echo("&lt;p&gt;\$number is: $number&lt;/p&gt;\n"); // $number is between 1 and 10 and even
      </pre>
      <?php
      while (true) { 
        $number = mt_rand(1, 10); 
        if ($number % 2 == 0) { 
          break; // exits the while loop and executes the echo statement next
        } 
      } 
      echo("<p>\$number is: $number</p>\n"); // $number is between 1 and 10 and even
      ?>
    </div>
    <h2>The <code>break</code> statement in a <code>for</code> loop</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
       $number = 13;
       $prime = true;
       for ($i = 2; $i &lt; $number; $i++) {
         if ($number % $i == 0) {
           $prime = false;
           break; // exits for loop and executes the $result statement next
         } 
       }
       $result = ($prime) ? ' is ' : ' is not ';
       echo("&lt;p&gt;$number $result prime&lt;/p&gt;\n");
      </pre>
      <?php
       $number = 13;
       $prime = true;
       for ($i = 2; $i < $number; $i++) {
         if ($number % $i == 0) {
           $prime = false;
           break; 
         } 
       }
       $result = ($prime) ? ' is ' : ' is not ';
       echo("<p>$number $result prime.</p>\n");
      ?>
    </div>
    <h2>The continue statement in a <code>for</code> loop</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      echo("&lt;p&gt;");
      for ($number = 1; $number &lt;= 10; $number++) {
        if ($number % 3 == 0) {
          continue; // returns to start of for loop when number is not evenly divisable by 3
        }
        echo("\$number is not divisible by 3"); 
      } // Only displays 1, 2, 4, 5, 7, 8, and 10
      echo("&lt;/p&gt;\n");
      </pre>
      <?php
      echo("<p>");
      for ($number = 1; $number <= 10; $number++) {
        if ($number % 3 == 0) {
          continue; // returns to start of for loop when number is not evenly divisable
        }
        echo("$number is not divisible by 3.<br />\n"); 
      } // Only displays 1, 2, 4, 5, 7, 8, and 10
      echo("</p>\n");
      ?>
    </div>
    <h2>The continue statement in a <code>while</code> loop</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $number = 1;
      echo("&lt;p&gt;");
      while ($number &lt;= 10) {
        if ($number % 3 == 0) {
          $number++; 
          continue; // returns to start of for while when number is not evenly divisable by 3
        } 
        echo("$number&lt;br /&gt;");
        $number++;
      } // Only displays 1, 2, 4, 5, 7, 8, and 10
      echo("&lt;/p&gt;\n");
      </pre>
      <?php
      $number = 1;
      echo("<p>");
      while ($number <= 10) {
        if ($number % 3 == 0) {
          $number++; 
          continue; // returns to start of for while when number is not evenly divisable by 3
        } 
        echo("$number is not divisible by 3.<br />\n");
        $number++; 
      } // Only displays 1, 2, 4, 5, 7, 8, and 10
      echo("</p>\n");
      ?>
    </div>
    <ul>
      <li>The <code>break</code> statement ends a loop. In other words, it jumps out of the loop</li>
      <li>The <code>continue</code> statement ends the current iteration of a for or while loop, but allows the next iteration to proceed. In other words, it jumps to the start of the loop.</li>
      <li>When you’re working with nested loops, the <code>break</code> and <code>continue</code> statements apply only to the loop that they’re in.</li>
    </ul>
    <p><a href=".">Back</a></p>
  </body>
</html>