<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>Using the do/while loop</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>Using the <code>do/while</code> loop</h1>
    <h2>A do/while loop that counts dice rolls until a six is rolled</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code>
       $rolls = 1;<br />
       do {<br />
       &nbsp;&nbsp;$rolls++;<br />
       } while (mt_rand(1,6) != 6); // get a random number from 1 to 6<br />
       echo("&lt;p&gt;Number of times to roll a six: $rolls.&lt/p&gt;\n");
      </code>
      <?php
       $rolls = 1;
       do {
         $rolls++;
       } while (mt_rand(1,6) != 6); // get a random number from 1 to 6
       echo("<p>Number of times to roll a six: $rolls.</p>\n");
      ?>
    </div>
    <h2>A <code>do-while</code> loop to find the max and min of 10 random values</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code>
      $max = -INF;<br />
      $min = INF;<br />
      $count = 0;<br />
      do {<br />
        &nbsp;&nbsp;$number = mt_rand(0, 100);<br />
        &nbsp;&nbsp;$max = max($max, $number);<br />
        &nbsp;&nbsp;$min = min($min, $number); $count++;<br />
      }<br />
      while ($count &lt; 10);<br />
      echo("&lt;p&gt;Max: $max Min: $min&lt;/p&gt;\n");
      </code>
      <?php
      $max = -INF;
      $min = INF;
      $count = 0;
      do { 
        $number = mt_rand(0, 100); 
        $max = max($max, $number); 
        $min = min($min, $number); $count++; 
      } 
      while ($count < 10);
      echo("<p>Max: $max Min: $min</p>\n");
      ?>
    </div>
    <ul>
      <li>The <code>do-while</code> statement executes the block of statements within its braces as long as its conditional expression is TRUE.</li>
      <li>When you use a <code>do-while</code> statement, the condition is tested at the end of the <code>do-while</code> loop. This means the code is always executed at least once.</li>
      <li><strong>Note:</strong>These examples use the <code>mt_rand()</code> and max() functions, which are presented in the chapter 9. The <code>mt_rand()</code> function gets a random number in the range specified by its arguments. The <code>max()</code> function gets the larger of the two values that are passed to it as arguments.</li>
    </ul>
    <p><a href=".">Back</a></p>
  </body>
</html>