<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to code the for loop</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to code the <code>for</code> loop</h1>
    <h2>The <code>for</code> statement compared to the while statement</h2>
    <h3>The <code>for</code> statement</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $count = 1;
      echo("&lt;p&gt;");
      for ($count = 1; $count &lt;= 10; $count++) {
        echo("\$count = $count&lt;br /&gt;\n");
      }
      echo("&lt;/p&gt;\n");
      </pre>
      <?php
      $count = 1; 
      echo("<p>");
      for ($count = 1; $count <= 10; $count++) {
        echo("\$count = $count\n");
      }
      echo("</p>\n");
      ?>
    </div>
    <h3>The <pre>while</pre> statement</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $count = 1;
      echo("&lt;p&gt;");
      while ($count &lt;= 10) {
        echo("\$count = $count&lt;br /&gt;\n");
        $count++;
      }
      echo("&lt;/p&gt;\n");
      </pre>
      <?php
      $count = 1;
      echo("<p>");
      while ($count <= 10) {
        echo("\$count = $count\n");
        $count++;
      }
      echo("</p>");
      ?>
    </div>
    <h2>A <code>for</code> loop to display even numbers from 2 to 10</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      echo("&lt;p&gt;");
      for ($number = 2; $number &lt;= 10; $number += 2) {
        echo("$number&lt;br /&gt;");
      }
      echo("&lt;/p&gt;\n");   
      </pre>
      <?php
      echo("<p>");
      for ($number = 2; $number <= 10; $number += 2) {
        echo("\$number = $number");
      }
      echo("</p>\n");   
      ?>
    </div>
    <h2>A <code>for</code> loop to display all the factors of a number</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $number = 18;
      echo("&lt;p&gt;");
      for ($i = 1; $i &lt; $number; $i++) {
        if ($number % $i == 0) { 
          echo("$i is a factor of $number . '");
        }
      }
      echo("&lt;/p&gt;");
      </pre>
      <?php
      $number = 18; 
      echo("<p>");
      for ($i = 1; $i < $number; $i++) { 
        if ($number % $i == 0) { 
          echo("$i is a factor of $number");
        }
      }
      echo("</p>");
      ?>
    </div>
    <h2>A <code>for</code> loop that uses the alternate syntax to display a drop-down list</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      echo("&lt;label&gt;Interest Rate:&lt;/label&gt;\n");
      echo("&lt;select name='rate' id='rate'&gt;\n");
      echo("for ($v = 5; $v &lt;= 12; $v++) : \n");
      echo("  &lt;option value='$v'"&gt;$v&lt;/option&gt;\n");
      echo("endfor;\n");
      echo("&lt;/select&gt;\n");
      </pre>
      <p></p>
      <?php
      echo("<label for='rate'>Interest Rate:</label>\n");
      echo("<select name='rate' id='rate'>\n");
      for ($v = 5; $v <= 12; $v++) :  
        echo("&nbsp;&nbsp;<option value='$v'>$v</option>\n");
      endfor;
      echo("</select>\n\n");
      ?>
      <p></p>
    </div>
    <ul style="clear: both;">
      <li>The <code>for</code> statement is useful when you need to increment or decrement a counter that determines how many times the <code>for</code> loop is executed.</li>
      <li>Within the parentheses of a <code>for</code> statement, you code an expression that assigns a starting value to a counter variable, a conditional expression that determines when the loop ends, and an increment expression that indicates how the counter should be incremented or decremented each time through the loop.</li>
      <li>When you use the alternate <code>for</code> statement syntax, you end the statement with the <code>endfor</code> keyword.</li>
    </ul>
    <p><a href=".">Back</a></p>
  </body>
</html>