<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to code if with one else statement</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
  <h1>How to code <code>if</code> with one <code>else if</code> statement</h1>
    <h2>An <code>if</code> statement with one <code>else if</code> clause</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code>
      $age = 18;<br />
      $score = 555;<br />
      if ($age &lt; 18) {<br />
      &nbsp;&nbsp;echo("&lt;p&gt;You are too young for a loan.&lt;/p&gt;\n");<br />
      } else if ($score &lt; 680) {<br />
      &nbsp&nbsp;echo("&lt;p&gt;Your credit score is too low for a loan.&lt;/p&gt;\n");<br />
      }
      </code>
      <?php
      $age = 18;
      $score = 555;
      if ($age < 18) {
        echo("<p>You are too young for a loan.</p>\n");
      } else if ($score < 680) {
        echo("<p>Your credit score is too low for a loan.</p>\n");
      }
      ?>
    </div>
    <h2> An <code>if</code> statement with an <code>else if</code> and an <code>else</code> clause</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code>
      $age = 18;<br />
      $score = 695;<br />
      if ($age &lt; 18) {<br />
      &nbsp;&nbsp;echo("&lt;p&gt;You are too young for a loan.&lt;/p&gt;\n");<br />
      } elseif ($score &lt; 680) {<br />
      &nbsp;&nbsp;echo("&lt;p&gt;Your credit score is too low for a loan.&lt;/p&gt;\n");<br />
      } else {<br />
      &nbsp;&nbsp;echo("&lt;p&gt;You are approved for your loan.&lt;/p&gt;\n");<br />
      }
      </code>
      <?php      
      $age = 18;
      $score = 695;
      if ($age < 18) {
        echo("<p>You are too young for a loan.</p>\n");
      } else if ($score < 680) {
        echo("<p>Your credit score is too low for a loan.</p>\n");
      } else {
        echo("<p>You are approved for your loan.</p>\n");
      }
      ?>
    </div>
    <h2>An <code>if</code> statement with two <code>else if</code> clauses and an <code>else</code> clause</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code>
      $rate = "rate";<br />
      $rate_is_valid = false;<br />
      if (!is_numeric($rate)) {<br />
      &nbsp;&nbsp;echo("&lt;p&gt;Rate ('$rate') is not a number.&lt;/p&gt;\n");<br />
      } else if ($rate &lt; 0) {<br />
      &nbsp;&nbsp;echo("&lt;p&gt;Rate ($rate) cannot be less than zero.&lt;/p&gt;\n");<br />
      } else if ($rate > 0.2) {<br />
      &nbsp;&nbsp;echo("&lt;p&gt;Rate ($rate) cannot be greater than 20%.&lt;/p&gt;\n");<br />
      } else {<br />
      &nbsp;&nbsp;$rate_is_valid = true;<br />
      &nbsp;&nbsp;echo("&lt;p&gt;Rate ($rate) is $rate_is_valid.&lt;/p&gt;\n");<br />
      } 
      </code>
      <?php
      $rate = "rate";
      $rate_is_valid = false;
      if (!is_numeric($rate)) {
        echo("<p>Rate ('$rate') is not a number.</p>\n");
      } else if ($rate < 0) {
        echo("<p>Rate ($rate) cannot be less than zero.</p>\n");
      } else if ($rate > 0.2) {
        echo("<p>Rate ($rate) cannot be less greater than 20%.</p>\n");
      } else {
        $rate_is_valid = true;
        echo("<p>Rate ($rate) is $rate_is_valid.</p>\n");
      } 
      ?>
    </div>
    <h2>An <code>if</code> statement to determine a student’s letter grade</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code>
      $average = 88;<br />
      if ($average >= 89.5) {<br />
      &nbsp;&nbsp;$grade = 'A';<br />
      } else if ($average >= 79.5) {<br />
      &nbsp;&nbsp;$grade = 'B';<br />
      } else if ($average >= 69.5) {<br />
      &nbsp;&nbsp;$grade = 'C';<br />
      } else if ($average >= 64.5) {<br />
      &nbsp;&nbsp;$grade = 'D';<br />
      } else {<br />
      &nbsp;&nbsp;$grade = 'F';<br />
      }<br />
      echo("&lt;p&gt;A grade average of $average results in a letter grade of $grade.&lt;/p&gt;\n");
      </code>
      <?php
      $average = 88;
      if ($average >= 89.5) {
        $grade = 'A';
      } else if ($average >= 79.5) {
        $grade = 'B';
      } else if ($average >= 69.5) {
        $grade = 'C';
      } else if ($average >= 64.5) {
        $grade = 'D';
      } else {
        $grade = 'F';
      }
      echo("<p>A grade average of $average results in a letter grade of $grade.</p>\n");
      ?>
    </div>
     <ul>
       <li>When coding an <code>else if</code> clause, you can code the <code>else</code> and <code>if</code>  keywords (with a space), or you can use the <code>elseif</code> keyword (no space).</li>
     </ul>
    <p><a href=".">Back</a></p>
  </body>
</html>