<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to code switch statements</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to code <pre>switch</pre> statements</h1>
    <h2>A switch statement with a default case</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      switch ($letter_grade) {
        case 'A':
          $message = 'well above average';
          break;
        case 'B':
          $message = 'above average';
          break;
        case 'C':
          $message = 'average';
          break;
        case 'D':
          $message = 'below average';
          break;
        case 'F':
          $message = 'failing';
          break;
        default:
          $message = 'invalid grade';
          break;
      }      
      </pre>
    </div>
    <h2>A switch statement with fall through</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      switch ($letter_grade) {
        case 'A':
        case 'B':
          $message = 'Scholarship approved.';
          break;
        case 'C':
          $message = 'Application requires review.';
          break;
        case 'D':
        case 'F':
          $message = 'Scholarship not approved.';
          break;
      }
      </pre>
    </div>
     <ul>
       <li>The switch statement starts by evaluating the switch expression in the parentheses.</li>
       <li>After evaluating the expression, the switch statement transfers control to the case label that has the value that matches the value of the expression. Then, it executes the statements for that case. It stops executing when it reaches a break; statement or the end of the switch statement.</li>
       <li>The default case is optional and may be omitted. If included, you can only have one default case. It is usually the last case in the switch statement, but it can be anywhere.</li>
       <li>The values in the case label may be literal values or they may be expressions.</li>
       <li>If a case doesn’t contain a break; statement, execution “falls through” to the next label.</li>
       <li>You can nest if statements or other switch statements within the cases of a switch statement.</li>
     </ul>
    <p><a href=".">Back</a></p>
  </body>
</html>