<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to use a switch statement in a controller</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to use a <code>switch</code> statement in a controller</h1>
    <div>
    <code>
    $action = filter_input(INPUT_POST, 'action');<br />
    if ($action == NULL) {<br />
    &nbsp;&nbsp;$action = filter_input(INPUT_GET, 'action');<br />
    &nbsp;&nbsp;if ($action == NULL) {<br />
    &nbsp;&nbsp;&nbsp;&nbsp;$action = 'list_products';<br />
    &nbsp;&nbsp;}<br />}<br />
    switch ($action) {<br />
    &nbsp;&nbsp;case <span style="background-color: yellow;">'list_products'</span>:<br />
    &nbsp;&nbsp;&nbsp;&nbsp;$category_id = filter_input(INPUT_GET, 'category_id', FILTER_VALIDATE_INT);<br />
    &nbsp;&nbsp;&nbsp;&nbsp;if ($category_id == NULL || $category_id == FALSE) {<br />
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$category_id = 1;<br />
    &nbsp;&nbsp;&nbsp;&nbsp;}<br />
    &nbsp;&nbsp;&nbsp;&nbsp;$category_name = get_category_name($category_id);<br />
    &nbsp;&nbsp;&nbsp;&nbsp;$categories = get_categories();<br />
    &nbsp;&nbsp;&nbsp;&nbsp;$products = get_products_by_category($category_id);<br />
    &nbsp;&nbsp;&nbsp;&nbsp;include('product_list.php');<br />
    &nbsp;&nbsp;&nbsp;&nbsp;break;<br />
    &nbsp;&nbsp;case <span style="background-color: yellow;">'delete_products'</span>:<br />
    &nbsp;&nbsp;&nbsp;&nbsp;$product_id = filter_input(INPUT_POST, 'product_id', FILTER_VALIDATE_INT);<br />
    &nbsp;&nbsp;&nbsp;&nbsp;$category_id = filter_input(INPUT_POST, 'category_id', FILTER_VALIDATE_INT);<br />
    &nbsp;&nbsp;&nbsp;&nbsp;if ($category_id == NULL || $category_id == FALSE || $product_id == NULL || $product_id == FALSE) {<br />
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$error = "Missing or incorrect product id or category id.";<br />
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;include('../errors/error.php');<br />
    &nbsp;&nbsp;&nbsp;&nbsp;} else {<br />
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;delete_product($product_id);<br />
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;header("Location: .?category_id=$category_id");<br />
    &nbsp;&nbsp;&nbsp;&nbsp;} break;<br />
    &nbsp;&nbsp;case <span style="background-color: yellow;">'show_add_form'</span>:<br />
    &nbsp;&nbsp;&nbsp;&nbsp;$categories = get_categories();<br />
    &nbsp;&nbsp;&nbsp;&nbsp;include('product_add.php');<br />
    &nbsp;&nbsp;&nbsp;&nbsp;break;<br />
    &nbsp;&nbsp;case <span style="background-color: yellow;">'add_product'</span>: $category_id = filter_input(INPUT_POST, 'category_id', FILTER_VALIDATE_INT);<br />
    &nbsp;&nbsp;&nbsp;&nbsp;$code = filter_input(INPUT_POST, 'code');<br />
    &nbsp;&nbsp;&nbsp;&nbsp;$name = filter_input(INPUT_POST, 'name');<br />
    &nbsp;&nbsp;&nbsp;&nbsp;$price = filter_input(INPUT_POST, 'price');<br />
    &nbsp;&nbsp;&nbsp;&nbsp;if ($category_id == NULL || $category_id == FALSE || $code == NULL || $name == NULL || $price == NULL || $price == FALSE) {<br />
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$error = "Invalid product data. Check all fields and try again.";<br />
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;include('../errors/error.php');<br />
    &nbsp;&nbsp;&nbsp;&nbsp;} else {<br />
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;add_product($category_id, $code, $name, $price);<br />
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;header("Location: .?category_id=$category_id");<br />
    &nbsp;&nbsp;&nbsp;&nbsp;}<br />
    &nbsp;&nbsp;&nbsp;&nbsp;break;<br />
    }
    </code>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>