<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>Using the while loop</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>Using the <code>while</code> loop</h1>
    <h2>A while loop that finds the average of 100 random numbers</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code>
      $total = 0; $count = 0;<br />
      while ($count < 100) {<br />
      &nbsp;&nbsp;$number = mt_rand(0, 100); // get a random number from 0 to 100<br />
      &nbsp;&nbsp;$total += $number; $count++;<br />
      }<br />
      $average = $total / $count;<br />
      echo("&lt;p&gt;The total of $count random numbers is " . number_format($total) . " and the average is: " . number_format($average, 2) . "&lt;/p&gt;>\n");
      </code>
      <?php
      $total = 0; $count = 0;
      while ($count < 100) {
        $number = mt_rand(0, 100); // get a random number from 0 to 100
        $total += $number; $count++;
      }
      $average = $total / $count;
      echo("<p>The total of $count random numbers is " . number_format($total) . " and the average is: " . number_format($average, 2) . "</p>\n");
      ?>
    </div>
    <h2>A while loop that counts dice rolls until a six is rolled</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code>
       $rolls = 1;<br />
       while (mt_rand(1,6) != 6) { // get a random number from 1 to 6<br />
       &nbsp;&nbsp;$rolls++;<br />
       }<br />
       echo("&lt;p&gt;Number of times to roll a six: $rolls.&lt/p&gt;\n");
      </code>
      <?php
       $rolls = 1;
       while (mt_rand(1,6) != 6) { // get a random number from 1 to 6
         $rolls++;
       }
       echo("<p>Number of times to roll a six: $rolls.</p>\n");
      ?>
    </div>
    <h2>Nested while loops that get the average and maximum rolls</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code>
      $total = 0;<br />
      $count = 0;<br />
      $max = -INF;<br />
      while ($count &lt; 10000) {<br />
      &nbsp;&nbsp;$rolls = 1;<br />
      &nbsp;&nbsp;while (mt_rand(1, 6) != 6) { // get a random number from 1 to 6<br />
      &nbsp;&nbsp;&nbsp;&nbsp;$rolls++;<br />
      &nbsp;&nbsp;}<br />
      &nbsp;&nbsp;$total += $rolls;<br />
      &nbsp;&nbsp;$count++;<br />
      &nbsp;&nbsp;$max = max($rolls, $max); // get the value of the larger argument<br />
      &nbsp;&nbsp;$average = $total / $count;<br />
      }<br />
      echo("&lt;p&gt;Average: $average Max: $max;&lt;/p&gt;\n");
      </code>
      <?php
      $total = 0;
      $count = 0;
      $max = -INF;
      while ($count < 10000) {
        $rolls = 1;
        while (mt_rand(1, 6) != 6) { // get a random number from 1 to 6
          $rolls++;
        }
        $total += $rolls;
        $count++;
        $max = max($rolls, $max); // get the value of the larger argument
        $average = $total / $count;
      }
      echo("<p>Average: $average Max: $max;</p>\n");
      ?>
    </div>
    <ul>
      <li>The while statement executes the block of statements within its braces as long as its conditional expression is TRUE.</li>
      <li>When you use a <code>while</code> statement, the condition is tested before the <code>while</code> loop is executed.</li>
      <li><strong>Note:</strong>These examples use the <code>mt_rand()</code> and max() functions, which are presented in the chapter 9. The <code>mt_rand()</code> function gets a random number in the range specified by its arguments. The <code>max()</code> function gets the larger of the two values that are passed to it as arguments.</li>
    </ul>
    <p><a href=".">Back</a></p>
  </body>
</html>