<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html>
  <head>
    <title>Creating a DateTime Object</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to create a DateTime object</h1>
    <h2>Using the current date and time</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code> 
      $now = new DateTime(); 
      <!-- echo("&gt;p&gt;Now = $now&lt;/p&gt;\n"); -->
      </code>
      <?php 
      $now = new DateTime(); 
      echo("<p>\$Now = " . $now->format('m/d/Y h:m') . "</p>\n");
      ?>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <h2>Using a strtotime() format string</h2>
      <code>
      $expires = new DateTime('2018-03-15 13:30:00'); <br />
      $tomorrow = new DateTime('+1 day'); <br />
      $due_date = new DateTime('+3 weeks'); <br />
      $appointment = new DateTime('next Friday +1 week 13:30');<br />
      echo("&lt;p&gt;Appoingtment: $appointment.&lt;/p&gt;\n");<br />
      </code>
      <?php
      $expires = new DateTime('2018-03-15 13:30:00'); 
      $tomorrow = new DateTime('+1 day'); 
      $due_date = new DateTime('+3 weeks'); 
      $appointment = new DateTime('next Friday +1 week 13:30');
      echo("<p>\$1ppointment = " . $appointment->format('m/d/Y h:m') . "</p>\n");
      ?>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <h2>How to use the methods of a DateTime object</h2>
      <h3>How to copy a DateTime object</h3>
      <code>
       $invoice_date = new DateTime('2017-09-15 13:30:00'); <br />
       echo("&lt;p&gt;\$invoice_date = " . $invoice_date->format('m/d/Y h:m') . "&lt;/p&gt;\n");<br />
       $due_date = clone $invoice_date; <br />
       echo("&lt;p&gt;\$due_date = " . $due_date->format('m/d/Y h:m') . "&lt;/p&gt;>\n");<br />
      </code>
      <?php
       $invoice_date = new DateTime('2017-09-15 13:30:00'); 
       echo("<p>\$invoice_date = " . $invoice_date->format('m/d/Y h:m') . "</p>\n");
       $due_date = clone $invoice_date; 
       echo("<p>\$due_date = " . $due_date->format('m/d/Y h:m') . "</p>\n");
      ?>
      <h3>How to set the time and date of a DateTime object</h3>
      <code>
      $due_date->setTime(22, 30, 0); // 10:30 pm<br />
      $due_date->setDate(2017, 9, 15); // 9/15/2017<br />
      </code>
      <?php
      $due_date->setTime(22, 30, 0); // 10:30 pm 
      $due_date->setDate(2017, 9, 15); // 9/15/2017 
      ?>
      <h3>How to modify a DateTime object</h3>
      <code>
      $due_date->modify('+3 weeks');<br />
      echo("&lt;p&gt;$due_date = " . $due_date->format('m/d/Y h:m') . "&lt;/p&gt;\n");<br />
      </code>
      <?php
      $due_date->modify('+3 weeks');
      echo("<p>\$due_date = " . $due_date->format('m/d/Y h:m') . "</p>\n");
      ?>
      <h3>How to display a DateTime object</h3>
      <code>
      echo("&lt;p&gt;Payment Due: " . $due_date->format('M. j, Y \a\t g:i a') . "&lt;/p&gt;\n");
      </code>
      <?php
      echo("<p>Payment Due: " . $due_date->format('M. j, Y \a\t g:i a') . "</p>\n");
      ?>
      <h3>How to convert a timestamp to a DateTime object</h3>
      <code>
      $tomorrow = strtotime('tomorrow 8am');<br />
      $nextday = new DateTime(); <br />
      $nextday->setTimestamp($tomorrow);<br />
      echo("&lt;p&gt;\$nextday = " . $nextday->format('m/d/Y h:m a') . "&lt;/p&gt;\n");<br />
      </code>
      <?php
      $tomorrow = strtotime('tomorrow 8am');
      $nextday = new DateTime(); 
      $nextday->setTimestamp($tomorrow);
      echo("<p>\$nextday = " . $nextday->format('m/d/Y h:m a') . "</p>\n");
      ?>
      <ul>
        <li>The DateTime class provides an object-oriented way to work with dates and times.</li>
        <li>To create a DateTime object, you can pass any string to its constructor that’s accepted by the <code>strtotime()</code> function.</li>
        <li>To copy an object such as a DateTime object, code the clone keyword before the object.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>