<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html>
  <head>
    <title>Working with the DateInterval() Function</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to use the <code>DateInterval()</code>Function</h1>
    <h2>How to create a DateInterval object</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <code>
     $interval = new DateInterval('P30D'); // 30 days
    </code>
    </div>
    <h2>How to use interval strings</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <code>
    $interval_1 = new DateInterval('P1Y2M10D'); // 1 year, 2 months, 10 days<br />
    $interval_2 = new DateInterval('PT1H2M3S'); // 1 hour, 2 minutes, 3 seconds <br />
    $interval_3 = new DateInterval('P1Y2M10DT1H2M3S');<br />
    </code>
    <h2>How to display a date interval</h2>
    <code>
    echo $interval_1->format('%m months, %d days');<br />
    echo $interval_1->format('%R %M months'); // '2 months, 10 days' // '+ 02 months' <br />
    echo $interval_1->format('%R %y %m %d %h %i %s'); // '+ 1 2 10 0 0 0' <br />
    echo $interval_1->format('%R%yy %mm %dd %H:%I:%S'); // '+1y 2m 10d 00:00:00'<br />
    </code>
    <ul>
      <li>You can use a DateInterval object to represent a time span called a date interval.</li>
      <li>To display a date part with a leading zero, change its format code to uppercase.</li>
    </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>