<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html>
  <head>
    <title>Working with Timestamps (Part 1)</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <h1>How to use timestamps (Part 1)</h1>
        <?php
          $now = time();
          echo('$now = time();<br />');
          $thisFormat = "date('Y-m-d', $now)";
          echo("$thisFormat; //  <strong>" . date('Y-m-d', $now) . "</strong><br />");
          $expires = mktime(13, 30, 03, 15, 2018);
          $thisFormat = "date('Y-m-d', $expires)";
          echo("$thisFormat;<br />" . 'mktime(13, 30, 03, 15, 2018); // $expires' . " = <strong>" . date('Y-m-d', $expires) . "</strong><br />");
          $expires = mktime(13, 30, 03, 15);
          $thisFormat = "date('Y-m-d', $expires)";
          echo("$thisFormat;<br />" . 'mktime(13, 30, 03, 15); //  $expires' . " = <strong>" . date('Y-m-d', $expires) . "</strong><br />");
          $expires = mktime(13, 30, 03);
          $thisFormat = "date('Y-m-d', $expires)";
          echo("$thisFormat;<br />" . 'mktime(13, 30, 03); // $expires' . " = <strong>" . date('Y-m-d', $expires) . "</strong><br />");
        ?>
      </div>
    <h2>How to get the parts of a timestamp</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code>      
        $expires = mktime(13, 30, 0, 3, 15, 2018);<br />
        $parts = getdate($expires); <br />
        $year = $parts['year']; <br />
        $mon = $parts['mon'];<br />
        $month = $parts['month'];<br />
        $weekday = $parts['weekday']; <br />
        $mday = $parts['mday']; <br />
        $wday = $parts['wday'];<br />
        $hours = $parts['hours']; <br />
        $minutes = $parts['minutes']; <br />
        $seconds = $parts['seconds'];<br />
        </code>
      <?php
        $expires = mktime(13, 30, 0, 3, 15, 2018); 
        $parts = getdate($expires); 
        $year = $parts['year']; 
        $mon = $parts['mon'];
        $month = $parts['month'];
        $weekday = $parts['weekday']; 
        $mday = $parts['mday']; 
        $wday = $parts['wday'];
        $hours = $parts['hours']; 
        $minutes = $parts['minutes']; 
        $seconds = $parts['seconds'];
      ?>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>