<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html>
  <head>
    <title>Working with Timestamps (Part 1)</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <h1>Working with timestamps (Part 2)</h1>
      <h2>Determine if a year is a leap year</h2>
      <code>
      function is_leapyear($ts) {<br />
      &nbsp;&nbsp;return (date('L', $ts) == '1'); <br />
      }<br />
      $year_2016 = is_leapyear(strtotime('2016-1-1')); // returns TRUE<br />
      $year_2018 = is_leapyear(strtotime('2018-1-1')); // returns FALSE<br />
      </code>
      <?php
        function is_leapyear($ts) {
          return (date('L', $ts) == '1'); 
        }
        $year_2016 = is_leapyear(strtotime('2016-1-1')); // returns TRUE
        $year_2018 = is_leapyear(strtotime('2018-1-1')); // returns FALSE
      ?>
      <h2>Display a simple message about an expiration date</h2>
      <code>      
      $now = time();<br />
      $exp = strtotime('2018-4 first day of next month midnight');<br />
      if ($exp < $now) {<br />
      &nbsp;&nbsp;echo("&lt;p&gt;Your card has expired&lt;/p&gt;");<br />
      } else {<br />
      &nbsp;&nbsp;echo("&lt;p&gt;Your card has notbexpired&lt;/p&gt;");<br />
      }
      </code>
      <?php
        $now = time();
        $exp = strtotime('2018-4 first day of next month midnight');
        if ($exp < $now) {
          echo("<p>Your card has expired</p>");
        } else {
          echo("<p>Your card has not expired</p>"); 
        }
      ?>
      <h2> Display a detailed message about an expiration date</h2>
      <code>
      $now = time();<br />
      $exp = '04/2018'; // Change exp format from mm/yyyy to yyyy-mm<br />
      $month = substr($exp, 0, 2); <br />
      $year = substr($exp, 3, 4); <br />
      $exp = $year . '-' . $month; // Set expiration date and calculate the number of days from current date <br />
      $exp = strtotime($exp . ' first day of next month midnight'); <br />
      $days = floor(($exp - $now) / 86400); // There are 86400 seconds/day <br />
      // Display a message <br />
      if ($days < 0) { <br />
      &nbsp;&nbsp;echo('&lt;p&gt;Your card expired ' . abs($days) . ' days ago.&lt;br /&gt;');<br />
      } else if ($days > 0) { <br />
      &nbsp;&nbsp;echo('Your card expires in ' . $days . ' days.&lt;br /&gt;');<br />
      } else {<br />
      &nbsp;&nbsp;echo('Your card expires at midnight.<br />');
      }<br />
      </code>
      <?php
      $now = time();
      $exp = '04/2018'; // Change exp format from mm/yyyy to yyyy-mm
      $month = substr($exp, 0, 2); 
      $year = substr($exp, 3, 4); 
      $exp = $year . '-' . $month; // Set expiration date and calculate the number of days from current date 
      $exp = strtotime($exp . ' first day of next month midnight'); 
      $days = floor(($exp - $now) / 86400); // There are 86400 seconds/day 
      // Display a message 
      if ($days < 0) { 
        echo('<p>Your card expired ' . abs($days) . ' days ago.</p>');
      } else if ($days > 0) { 
        echo('<p>Your card expires in ' . $days . ' days.<br />'); 
      } else {
        echo('<p>Your card expires at midnight.</p>'); 
      }
      ?>
      <h2>Display a countdown until the New Year</h2>
      <code>      
      $now = time();<br />
      $new_year = strtotime('next year Jan 1st', $now); // Calculate the days, hours, minutes, and seconds <br />
      $seconds = $new_year - $now; <br />
      $days = floor($seconds / 86400); <br />
      $seconds -= $days * 86400; <br />
      $hours = floor($seconds / 3600); <br />
      $seconds -= $hours * 3600; <br />
      $minutes = floor($seconds / 60); <br />
      $seconds -= $minutes * 60; <br />
      // Display the countdown <br />
      echo("&lt;p&gt;$days days and $hours:$minutes:$seconds remaining to the New Year.&lt;/p&gt;");
      </code>
      <?php 
      $now = time();
      $new_year = strtotime('next year Jan 1st', $now); // Calculate the days, hours, minutes, and seconds 
      $seconds = $new_year - $now; 
      $days = floor($seconds / 86400); 
      $seconds -= $days * 86400; 
      $hours = floor($seconds / 3600); 
      $seconds -= $hours * 3600; 
      $minutes = floor($seconds / 60); 
      $seconds -= $minutes * 60; 
      // Display the countdown 
      echo("<p>$days days and $hours:$minutes:$seconds remaining to the New Year.</p>");
      ?>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>