<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to work with cookies</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to work with cookies</h1>
    <h2>Examples of cookies</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      PHPSESSID=D1F15245171203E8670487F020544490
      user_id=87
      email=jsmith@hotmail.com
      </pre>
    </div>
    <h2>How cookies work</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <ul>
       <li>A cookie is a name/value pair that is stored in a browser.</li>
       <li>On the server, a web application creates a cookie and sends it to the browser. On the client, the browser saves the cookie and sends it back to the server every time it accesses a page from that server.</li>
       <li>By default, cookies only last until the user closes his or her web browser. However, cookies can be set to persist in the user’s browser until a specified expiration date.</li>
       <li>Some users disable cookies in their browsers. As a result, you can’t always count on all users having their cookies enabled.</li>
       <li>Browsers generally accept only 20 cookies from each site and 300 cookies total. In addition, they can limit each cookie to 4 kilobytes.</li>
       <li>A cookie can be associated with one or more subdomain names.</li>
      </ul>
    </div>
    <h2>Typical uses for cookies</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
     <ul>
        <li>To allow users to skip login and registration forms that gather data like username, password, address, or credit card data.</li>
        <li>To customize pages that display information like weather reports, sports scores, and stock quotations.</li>
        <li>To focus advertising like banner ads that target the user’s interests.</li>
      </ul>      
    </div>
    <h2>Description</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <ul>
        <li>A common misconception is that cookies are harmful. Since cookies consist only of plain text, they cannot directly modify a user’s computer, create pop-up ads, generate spam, or steal files.</li>
      </ul>       
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>