<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to enable and disable a cookie</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to enable and disable a cookie</h1>
    <h2>How to enable or disable cookies in Chrome 59</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <ol>
        <li>Open the Tools menu and select the Settings option.</li>
        <li>The select "Cookies and site premissions".</li>
        <li>The select "Allow sites to save and read cookie data (recommended)".</li>
        <li>Use the slider control to enable or disable cookies, or click on the Advanced button, check the "Override automatic cookie handling" checkbox, configure cookies, and click the OK button.</li>
        <li>To undo changes made with the slider control or in the Advanced section, click the Default button to return to default privacy settings.</li>
      </ol>
    </div>
    <h2>How to enable or disable cookies in Internet Explorer 11</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <ol>
        <li>Open the Tools menu and select the Internet Options command.</li>
        <li>Click the Privacy tab.</li>
        <li>Use the slider control to enable or disable cookies, or click on the Advanced button, check the "Override automatic cookie handling" checkbox, configure cookies, and click the OK button.</li>
        <li>To undo changes made with the slider control or in the Advanced section, click the Default button to return to default privacy settings.</li>
      </ol>
    </div>
    <h2>How to enable or disable cookies in Edge</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <ol>
       <li>Open the Tools menu and select the Settings option.</li>
       <li>Then select "Cookies and site premissions".</li>
       <li>Thenselect "Cookies and site data".</li>
       <li>Use the slider control to enable or disable cookies.</li>
       <li>To undo changes made use the slider control.</li>
      </ol>
    </div>
    <h2>How to enable or disable cookies in Firefox</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <ol>
       <li>Open the Tools menu and select the Options option.</li>
       <li>Then select "Privacy &amp; Security".</li>
       <li>Then select "Cookies and Site Data".</li>
       <li>Then select "Manage Data".</li>       
      </ol>
    </div>
    <h2>How to enable or disable cookies in Safari</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <ol>
       <li>Select Preferences</li>
       <li>Then click Privacy</li>
       <li>Then do any of the following:
         <ul>
           <li>Prevent trackers from using cookies and website data to track you: Select "Prevent cross-site tracking."</li>
           <li>Cookies and website data are deleted unless you visit and interact with the trackers’ websites.</li>
           <li>Always block cookies: Select "Block all cookies."</li>
           <li>Websites, third parties, and advertisers can’t store cookies and other data on your Mac. This may prevent some websites from working properly.</li>
           <li>Always allow cookies: Deselect "Block all cookies."</li>
         </ul>
         </li>
      </ol>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>To test how your application behaves if a user has cookies disabled, you can disable cookies in your browser.</li>
        <li>To test how your application behaves under normal circumstances, you can enable cookies in your browser.</li>
        <li>In IE 11, you may need to reset the security settings to their default levels to block cookies from the web server running on your computer.</li>
        <li>For other web browsers, use the browser’s documentation or search the Internet to find instructions for enabling and disabling cookies.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>