<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to work with sessions</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to work with sessions</h1>
    <h2>How to start a session</h2>
    <h3>Start a session with the default cookie parameters</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      session_start();
      </pre>
    </div>
    <h3>Start a session with custom cookie parameters</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
       lifetime = 60 * 60 * 24 * 365; // 1 year in seconds 
       session_set_cookie_params($lifetime, '/'); 
       session_start();
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>A session starts when a browser makes its first request to a page that includes the session_start() function.</li>
        <li>By default, a session uses a session cookie to associate a browser with the data for its session. However, you can use the session_set_cookie_params() function to customize the cookie for the session.</li>
        <li>In the session_set_cookie_params() function, the $lifetime parameter is the only required parameter. The other parameters are optional.</li>
        <li>The session_set_cookie_params() function must be called before the session_start() function.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>