<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to set and get a cookie</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to set and get a cookie</h1>
    <h2>Set a cookie in the browser</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $name = 'userid'; 
      $value = '87'; 
      $expire = strtotime('+1 year'); 
      $path = '/'; 
      setcookie($name, $value, $expire, $path);
      </pre>
    </div>
    <h2>Get the value of a cookie from the browser</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $userid = filter_input(INPUT_COOKIE, 'userid', FILTER_VALIDATE_INT); // 87
      </pre>
    </div>
    <h2>Delete a cookie from the browser</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $expire = strtotime('-1 year'); 
      setcookie('userid', '', $expire, '/');
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>To set a cookie in the user’s browser, you can use the setcookie() function. This function must be called before any HTML output is sent from your application.</li>
        <li>A session cookie expires when the user closes the browser. A persistent cookie doesn’t expire until the specified expiration date.</li>
        <li>Once a cookie has been set, you can get it the next time the browser requests a page. To do that, you can use the filter_input() function to get it from the superglobal $_COOKIE variable. This variable is an associative array where the cookie name is the key and the cookie value is the value.</li>
        <li>To delete a cookie from a browser, set the value to an empty string and the expiration date to a time in the past. Any remaining parameters must have the same values as when the cookie was originally created.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>