<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to set and get session variables</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to set and get session variables</h1>
    <h2>How to set and get scalar variables</h2>
    <h3>Set a variable in a session</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $_SESSION['product_code'] = 'MBT-1753';
      </pre>
    </div>
    <h3>Get a variable from a session</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $product_code = $_SESSION['product_code'];
      </pre>
    </div>
    <h2>How to set and get arrays</h2>
    <h3>Set an array in a session</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      if (!isset($_SESSION['cart'])) { 
        $_SESSION['cart'] = array(); }
      </pre>
    </div>
    <h3>Add an element to an array that’s stored in a session</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $_SESSION['cart']['key1'] = 'value1'; 
      $_SESSION['cart']['key2'] = 'value2';
      </pre>
    </div>
    <h3>Get and use an array that’s stored in a session</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $cart = $_SESSION['cart']; 
      foreach ($cart as $item) { 
        echo("&lt;li&gt;$item&lt;/li&gt;\n");
      }
      </pre>
    </div>
    <h2>How to remove variables from a session</h2>
    <h3>Remove a session variable</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      unset($_SESSION['cart']);
      </pre>
    </div>
    <h3>Remove all session variables</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $_SESSION = array();
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>Once you start a session, you can use the superglobal $_SESSION variable to set and get the user’s data for a session. This variable is an associative array.</li>
        <li>If necessary, you can use the isset() function to test if an element already exists in the $_SESSION array.</li>
        <li>You can use the unset() function to remove an element from the $_SESSION array. However, don’t use the unset() function on the $_SESSION array itself as it can cause unpredictable results.</li>
        <li>You can set the $_SESSION array to an empty array to remove its contents.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>