<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title></title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to Create and call a Function</h1>
    <h2>How to define a function</h2>
    <h3>A function with no parameters that returns a value</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code>
      function coin_toss() {<br />
      &nbsp;&nbsp;$coin = (random_int(0, 1) == 0) ? 'heads' : 'tails';<br />
      &nbsp;&nbsp;return $coin;<br />
      } 
      </code>
    </div>
    <h3>A function with one parameter</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code>
      $error = "This is an error!";<br />
      function display_error($error) { <br />
      &nbsp;&nbsp;echo("&lt;p class='error'&gt;$error&lt;/p&gt;\n"); <br />
      }<br />
      display_error($error);
      </code>
      <?php
      $error = "This is an error!";
      function display_error($error) { 
        echo("<p class='error'>$error</p>\n"); 
      }
      display_error($error);
      ?>
    </div>
    <h3>A function with three parameters that returns a value</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code>
      $x = 10;<br />
      $y = 20;<br />
      $z = 30;<br />
      function avg_of_3($x, $y, $z) { <br />
      &nbsp;&nbsp;$avg = ($x + $y + $z) / 3; <br />
      &nbsp;&nbsp;return $avg; <br />
      }<br />
      avg_of_3($x, $y, $z);<br />
      echo("&lt;p&gt;Average of $x + $y + $z is " . avg_of_3($x, $y, $z) . "&lt;/p&gt;\n");
      </code>
      <?php
      $x = 10;
      $y = 20;
      $z = 30;
      function avg_of_3($x, $y, $z) { 
        $avg = ($x + $y + $z) / 3; 
        return $avg; 
      }
      echo("<p>Average of $x + $y + $z is " . avg_of_3($x, $y, $z) . "</p>\n");
      ?>
    </div>
    <h2>How to call a function</h2>
    <h3>Functions that return values</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code>
      $average = avg_of_3(5, 2, 8); // average is 5<br />
      echo coin_toss(); // display heads or tails
      </code>
    </div>
    <h3>A function that doesn’t return a value</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code>
      display_error('Value out of range.');
      </code>
     </div>
    <h3> Discarding the return value</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <code>
       $list = array('Apples', 'Oranges', 'Grapes'); <br />
       $last = array_pop($list); // Removes Grapes – stores return value<br />
       array_pop($list); // Removes Oranges – discards return value<br />
      </code>
    </div>
    <ul>
      <li>A function is a reusable block of code. To code a function, code the function keyword followed by the name of the function, followed by a set of parentheses.</li>
      <li>Within the parentheses of a function, you can code an optional parameter list that contains one or more parameters.</li>
      <li>To code a function that returns data, code a return statement in the body of the function. The return statement ends the execution of the function and returns the specified value. If you don’t specify a value in the return statement, it returns NULL.</li>
      <li>To code a function that doesn’t return data, don’t include a return statement.</li>
      <li>When you call a function, the arguments in the argument list must be in the same order as the parameters in the parameter list defined by the function, and they must have compatible data types.</li>
    </ul>
    <p><a href=".">Back</a></p>
  </body>
</html>