<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title> How to set the include path</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1> How to set the include path</h1>
    <h2>The default include path</h2>
    <h3>Windows</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      .;C:\xampp\php\PEAR
      </pre>
    </div>
    <h3>Mac OS X</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      .:/Applications/XAMPP/xamppfiles/lib/php
      </pre>
    </div>
    <h3>Linux</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      .:/opt/lampp/lib/php
      </pre>
    </div>
    <h2>How to get the include path</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $include_path = get_include_path();
      </pre>
    </div>
    <h2>How to set the include path</h2>
    <h3>Windows</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      set_include_path($include_path . ';C:\xampp\htdocs\book_apps\lib');
      </pre>
    </div>
    <h3>Mac OS X</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      set_include_path($include_path . ':/Applications/XAMPP/htdocs/book_apps/lib');
      </pre>
    </div>
    <h3>Linux</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      set_include_path($include_path . ':/opt/lampp/htdocs/book_apps/lib');
      </pre>
    </div>
    <h2>How to include a file after the include path has been set</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      require_once cart.php;
      </pre>
    </div>
    <ul>
      <li>The include path specifies the directories that are searched for included files. By default, the include path specifies the current directory (a dot), followed by any system specific directories such as the PEAR library for Windows. (The PEAR, or PHP Extension and Application Repository, library is a library of open-source code for PHP developers that’s installed with XAMPP.)</li>
      <li>If you want to add a directory to the include path, you can use the get_include_path() and set_include_path() functions. To separate the directories of the include path, you should use semicolons for Windows and colons for Mac and Linux</li>
    </ul>
    <p><a href=".">Back</a></p>
  </body>
</html>