<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How function scope works</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to create and use namespaces</h1>
    <h2>How to create a namespace in a file</h2>
    <h3>Using the statement syntax</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;?php 
      namespace cart; // Functions in cart namespace 
      ?&gt;
      </pre>
    </div>
    <h3>Using the brace syntax</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;?php 
      namespace murach\cart {
        // Functions in murach\cart namespace 
      }
      ?&gt;
      </pre>
    </div>
    <h3>How to create nested namespaces </h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;?php 
      namespace cart {
        // Functions in cart namespace 
      }
      ?&gt;      
      </pre>
    </div>
    <h2>How to use the functions that are defined in a namespace</h2>
    <h3>Create a file that contains a namespace with one function</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;?php 
      namespace murach\errors {
        function log($error) { 
          echo(&lt;p&gt; class='error'&gt;$error&lt;/p&gt;
        }
      }
      ?&gt;
      </pre>
    </div>
    <h3>Call a function that is stored in the namespace</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>  
      // load the file that stores the namespace 
      require_once 'errors.php';
      </pre>
    </div>
    <h3></h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      // call the log function murach\errors\log('Invalid value');
      // create an alias and use it to call the log function 
      use murach\errors as e; // Use 'e' instead of 'murach\errors'
      e\log('Invalid value');
      </pre>
    </div>
    <ul>
      <li>You can use a namespace to store functions in a namespace other than the global namespace. This helps you avoid name collisions.</li>
      <li>Within a namespace, you can include constants, functions, and classes. In the next chapter, you’ll learn more about classes.</li>
      <li>To call a function in a namespace, code the namespace name, a backslash, and the function name.</li>
      <li>To create an alias for the namespace, code the use keyword, followed by the namespace name, followed by the as keyword, followed by the alias.</li>
    </ul>
    <p><a href=".">Back</a></p>
  </body>
</html>