<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to create and use classes</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to create and use classes</h1>
    <h2>The Category class</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      // This code illustrates <span style="background-color: yellow;">encapsulation (information hiding)</span>
      class Category { // <span style="background-color: yellow;">constructor</span>
        // <span style="background-color: yellow;">properties</span>
        <span style="background-background-color: yellow;">private</span> $id; 
        private $name; 
        <span style="background-color: yellow;">public</span> function __construct($id, $name) { 
          <span style="background-color: yellow;">$this</span>->id = $id; 
          $this->name = $name
        } 
        // <span style="background-color: yellow;">methods</span>
        public function getID() { // This is known as a "<span style="background-color: yellow;">getter</span>" method
          return $this->id; 
        } 
        public function setID($value) { // This is know as a "<span style="background-color: yellow;">setter</span>" method
          $this->id = $value; 
        } 
        public function getName() { 
          return $this->name; 
        } 
        public function setName($value) { 
          $this->name = $value; 
        } 
      }      
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>Object-oriented programming groups related variables and functions into data structures called objects.</li>
        <li>A class defines the properties and methods of a particular type of object. You can think of a class as a blueprint for an object.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>