<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to inspect an object</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to inspect an object</h1>
    <h2The URL for the reflection API></h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
       http://www.php.net/manual/en/book.reflection.php
      </pre>
    </div>
    <h2>Functions for inspecting an object</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Function</th>
            <th>Description</th> 
          </tr>
        </thead>
          <tr>
            <td>class_exists($class)</td>
            <td>Returns TRUE if the specified class has been defined.</td>
          </tr>
          <tr>
            <td>get_class($object)</td>
            <td>Returns the class name of the specified object as a string.</td>
          </tr>
          <tr>
            <td>is_a($object, $class)</td>
            <td>Returns TRUE if the specified object is an instance of the specified class.</td>
          </tr>
          <tr>
            <td>property_exists($object, $property)</td>
            <td>Returns TRUE if the specified object has the specified property.</td>
          </tr>
          <tr>
            <td>method_exists($object, $method)</td>
            <td>Returns TRUE if the specified object has the specified method.</td>
          </tr>
        <tbody>
        </tbody>
      </table>
    </div>
    <h2>Determine if an object is an instance of a class</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      if (is_a($trumpet, 'Product')) { 
        // Code to work with a Product object 
      }
      </pre>
    </div>
    <h2>Determine if an object has a property</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      if (property_exists($trumpet, 'price')) {
        // Code to work with the price property
      }
      </pre>
    </div>
    <h2>Determine if an object has a method</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      if (method_exists($trumpet, 'getPrice')) { 
        // Code to work with the getPrice method 
      }
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>Inspecting an object is known as introspection or reflection.</li>
        <li>When you specify the argument for the property_exists() and method_exists() functions, you can specify an object or the name of a class.</li>
        <li>The property_exists() and method_exists() functions return TRUE even if the property or method is private or protected.</li>
        <li>Version 5 of PHP introduced a reflection API that allows you to examine functions, classes, methods, and properties. To learn more about it, you can go to the URL at the top of this page.</li>
        <li></li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>