<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to code properties</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to code properties</h1>
    <h2>How to code a property</h2>
    <h3>The syntax (access modifiers)</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      [ public | protected | private ] $propertyName [ = initialValue ]; 
      </pre>
    </div>
    <h3>A private property</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      private $firstName;
      </pre>
    </div>
    <h3>A public property with a default value</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      public $comment = '';
      </pre>
    </div>
    <h3>A protected property</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      protected $counter;
      </pre>
    </div>
    <h2>Five properties on the same line</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      private $category, $id, $name, $description, $price;
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>A public property can be directly accessed by code outside of the class.</li>
        <li>Private and protected properties can’t be directly accessed by code outside the class.</li>
        <li>By default, properties are public. As a result, if you omit the access modifier, the property is public.</li>
        <li>To code an initial value for a property, you must supply a scalar value, an array of scalar values, or NULL. A scalar value is a literal number, string, or Boolean value.</li>
        <li>To code multiple properties on the same line, you can separate the property name</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>