<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to use the protected access modifier</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to use the protected access modifier</h1>
    <h2>How the access modifiers work  public protected private Access outside class? Access from subclass? Yes No No Yes Yes No</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Modifier</th>
            <th>Access outside class?</th>
            <th>Access from subclass?</th>
          </tr>
        </thead>
          <tr>
            <td>public</td>
            <td>Yes</td>
            <td>Yes</td>
          </tr>
          <tr>
            <td>protected</td>
            <td>No</td>
            <td>Yes</td>
          </tr>
          <tr>
            <td>private</td>
            <td>No</td>
            <td>No</td>
          </tr>
        <tbody>
        </tbody>
      </table>
    </div>
    <h2>A superclass</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      class Person { 
        <span style="background-color: yellow;">protected</span> $firstName, $lastName; private $phone, $email; 
         
        // The constructor and the get and set methods are the same // as the Person class
      }
      </pre>
    </div>
    <h2>A subclass</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      class Employee extends Person { 
        private $ssn, $hireDate; 
        
        // The constructor and the get and set methods are the same as the Employee class

        // This method uses the protected properties from the Person class 
        public function getFullName() { 
          return $this->lastName . ', ' . $this->firstName;
        }
      }
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>Public and protected properties and methods are inherited by the subclass.</li>
        <li>Private properties and methods are not inherited by the subclass.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>