<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to use a global regular expression</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to use a global regular expression</h1>
    <h2>How to work with a multiline regular expression</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $string = "Ray Harris\nAuthor"; // A multiline string
      $pattern1 = '/Harris$/';  // A non-multiline regular expression
      preg_match($pattern1, $string); // Does not match Harris and returns 0
      $pattern2 = '/Harris$/m';  // A multiline regular expression
      preg_match($pattern2, $string); // Matches Harris and returns 1
      </pre>
    </div>
    <h2>How to work with a global regular expression</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $string = 'MBT-6745 MBT-5712'; 
      $pattern = '/MBT-[[:digit:]]{4}/'; 
      $count = preg_match_all($pattern, $string, $matches); 
      foreach ($matches[0] as $match) {
        echo("&lt;div&gt;$match&ly;/div&gt;\n");
      }
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>In a multiline regular expression, the ^ pattern matches the beginning of a line and the $ pattern matches the end of a line.</li>
        <li>In a global regular expression, the pattern finds multiple matches in the string.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>