<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to use regular expressions</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />
  </head>
  <body>
    <h1>How to use regular expressions</h1>
    <h2>How to use the <code>preg_match()</code> function</h2>
    <h3>How to create a regular expression</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $pattern = '/Harris/';
      </pre>
    </div>
    <h3>Two strings to test</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $author = 'Ray Harris'; 
      $editor = 'Joel Murach';
      </pre>
    </div>
    <h3>How to use the preg_match() function to search for the pattern</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $author_match = preg_match($pattern, $author); // $author_match is 1
      $editor_match = preg_match($pattern, $editor); // $editor_match is 1
      </pre>
    </div>
    <h3>How to test for errors in a regular expression</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      if ($author_match === false) {
        echo 'Error testing author name.'; 
      } else if ($author_match === 0) { 
        echo 'Author name does not contain Harris.';
      } else {  
        echo 'Author name contains Harris.
      }
      </pre>
    </div>
    <h2>A case-insensitive regular expression</h2>
    <h3>How to create a case-insensitive regular expression</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
       $pattern = '/murach/i';
      </pre>
    </div>
    <h3>How to use a case-insensitive regular expression</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
       $editor_match = preg_match($pattern, $editor);
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>A regular expression defines a pattern that can be searched for in a string. The pattern is case sensitive and enclosed in forward slashes in a text string.</li>
        <li>To create a case-insensitive regular expression, add an i modifier to the end of the regular expression. Then, the case is ignored in both the pattern and string.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>