<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to replace a regular expression with a string</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to replace a regular expression with a string</h1>
    <h2>How to use the <code>preg_replace()</code> function to replace a pattern with a string</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $items = 'MBT-6745 MBS-5729'; 
      $items = preg_replace('/MB[ST]/', 'ITEM', $items); 
      echo $items; // Displays ITEM-6745 ITEM-5729e
      </pre>
    </div>
    <h2>How to use the <code>preg_split()</code> function to split a string on a pattern</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
       $items = 'MBT-6745 MBS-5729, MBT-6824, and MBS-5214'; 
       $pattern = '/[, ]+(and[ ]*)?/'; 
       $items = preg_split($pattern, $items); 
       
       // $items contains: 'MBT-6745', 'MBS-5729', 'MBT-6824', 'MBS-5214' 
       
       foreach ($items as $item) { 
         echo("&lt;li&gt;$item&lt;/li&gt;"); 
       }
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>To replace a simple pattern in a string, you can also use the str_replace() and stri_replace() functions described in chapter 9.</li>
        <li>To split a string on a simple pattern, you can also use the explode() function described in chapter 9.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>
