<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How the columns in a table are defined</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How the columns in a table are defined</h1>
    <h2>The columns of the products table</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Field</th>
            <th>Type</th>
            <th>Null</th>
            <th>Key</th>
            <th>Default</th>
            <th>Extra</th>
          </tr>
        </thead>
          <tr>
            <td>productID</td>
            <td>int(11)</td>
            <td>NO</td>
            <td>Pri</td>
            <td>NULL</td>
            <td>auto_increment</td>
          </tr>
          <tr>
            <td>categoryID</td>
            <td>int(11)</td>
            <td>NO</td>
            <td></td>
            <td>NULL</td>
            <td></td>
          </tr>
          <tr>
            <td>productCode</td>
            <td>varchar(10)</td>
            <td>NO</td>
            <td>Uni</td>
            <td>NULL</td>
            <td></td>
          </tr>
          <tr>
            <td>ProductName</td>
            <td>varchar(255)</td>
            <td>NO</td>
            <td></td>
            <td>NULL</td>
            <td></td>
          </tr>
          <tr>
            <td>listPrice</td>
            <td>decimal(10,2)</td>
            <td>NO</td>
            <td></td>
            <td>NULL</td>
            <td></td>
          </tr>
        <tbody>
        </tbody>
      </table>
    </div>
    <h2>Common MySQL data types</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">    
      <table>
        <thead>
          <tr>
            <th>Type</th>
            <th>Description</th>
          </tr>
        </thead>
          <tr>
            <td>CHAR</td>
            <td>A fixed-length string of charcters in the ASCII character set.</td>
          </tr>
          <tr>
            <td>VARCHAR</td>
            <td>A variable-length string of characters in the ASCII character set.</td>
          </tr>
          <tr>
            <td>INT</td>
            <td>Integer values of various sizes.</td>
          </tr>
          <tr>
            <td>Decimal</td>
            <td>Decimal values that can contain an integer portion and a decimal portion.</td>
          </tr>
          <tr>
            <td>DATE, TIME, DATETIME</td>
            <td>A date, time, or date and time.</td>
          </tr>
        <tbody>
        </tbody>
      </table>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>The data type that’s assigned to a column determines the type and size of the information that can be stored in the column.</li>
        <li>Each column definition also indicates whether or not it can contain null values. A null value indicates that the value of the column is unknown.</li>
        <li>A column can also be defined with a default value. Then, that value is used if another value isn’t provided when a row is added to the table.</li>
        <li>A column can also be defined as an auto-increment column. An auto-increment column is a numeric column whose value is generated automatically when a row is added to the table.</li>
        <li>For more information on the MySQL data types, see chapter 17.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>