<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to insert, update, and delete data</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to insert, update, and delete data</h1>
    <h2>The syntax for the INSERT statement</h2>
    </h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
      INSERT INTO table-name [(column-list)] VALUES (value-list);
      </pre>
    </div>
    <h3>A statement that adds one row to a table</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      INSERT INTO products (categoryID, productCode, productName, listPrice)
      VALUES (1, 'tele', 'Fender Telecaster', 599.00);
      </pre>
    </div>
    <h3>A statement that uses the MySQL NOW function to get the current date</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      INSERT INTO orders (customerID, orderDate) 
      VALUES (1, NOW());
      </pre>
    </div>
    <h2>The syntax for the UPDATE statement</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
       UPDATE table-name 
       SET expression-1 [, expression-2] ... 
       WHERE selection-criteria;
      </pre>
    </div>
    <h3>A statement that updates a column in one row</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      UPDATE products 
      SET productName = 'Ludwig 5-Piece Kit with Zildjian Cymbals' 
      WHERE productCode = 'ludwig';
      </pre>
    </div>
    <h3>A statement that updates a column in multiple rows</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
       UPDATE products SET listPrice = 299 WHERE categoryID = 1;
      </pre>
    </div>
    <h2>The syntax for the DELETE statement</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      DELETE FROM table-name 
      WHERE selection-criteria;
      </pre>
    </div>
    <h3>A statement that deletes one row from a table</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      DELETE FROM products 
      WHERE productID = 1;
      </pre>
    </div>
    <h3>A statement that deletes multiple rows from a table</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      DELETE FROM products 
      WHERE listPrice > 200;
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>Since the INSERT, UPDATE, and DELETE statements modify the data that’s stored in a database, they’re sometimes referred to as action queries. These statements don’t return a result set. Instead, they return the number of rows that were affected by the query.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>