<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to select data from multiple tables</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to select data from multiple tables</h1>    
    <h2>The syntax for a SELECT statement that joins two tables</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT column-1 [, column-2] ... 
      FROM table-1 {
        INNER | LEFT OUTER | RIGHT OUTER
      } JOIN table-2 ON table-1.column-1 = table-2.column-2 
      [WHERE selection-criteria] 
      [ORDER BY column-1 [ASC|DESC] [, column-2 [ASC|DESC]] ...];
      </pre>
    </div>
    <h2>A statement that gets data from two related tables</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT categoryName, productName, listPrice 
      FROM categories 
      INNER JOIN products 
      ON categories.categoryID = products.categoryID 
      WHERE listPrice > 800 
      ORDER BY listPrice ASC;
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>To return a result set that contains data from two tables, you join the tables. To do that, you can use a JOIN clause.</li>
        <li>Most of the time, you’ll want to code an inner join so rows are only included when the key of a row in the first table is equal to (matches) the key of a row in the second table.</li>
        <li>An outer join returns rows from one table in the join even if the other table doesn’t contain a matching row. This is useful if you need to see all the records in a table whether or not there is a match in the other table.</li>
        <li>In a left outer join, the data for all of the rows in the first table (the one on the left) are included in the table, but only the data for matching rows in the second table are included. In a right outer join, the reverse is true.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>