<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>The SQL statements for data manipulation</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to select data from a single table</h1>
    <h2>The syntax for a SELECT statement that gets all columns</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT * FROM table-1 [WHERE selection-criteria] [ORDER BY column-1 [ASC|DESC] [, column-2 [ASC|DESC]] ...];
      </pre>
    </div>
    <h2>A SELECT statement that gets all columns</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT * FROM products WHERE categoryID = 2;
      </pre>
    </div>
    <h2>The syntax for a SELECT statement that gets selected columns</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT column-1 [, column-2] ... FROM table-1 [WHERE selection-criteria] [ORDER BY column-1 [ASC|DESC] [, column-2 [ASC|DESC]] ...];
      </pre>
    </div>
    <h2>A SELECT statement that gets selected columns and rows</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT productName, listPrice FROM products WHERE listPrice &lt; 500 ORDER BY listPrice ASC;
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>A <code>SELECT</code> statement is a SQL statement that returns a result set (or result table) that consists of the specified rows and columns.</li>
        <li>To specify the columns, you use the <code>SELECT</code> clause.</li>
        <li>To specify the table that the data should be retrieved from, you use the <code>FROM</code> clause.</li>
        <li>To specify the rows, you use the <code>WHERE</code> clause.</li>
        <li>To specify how the result set should be sorted, you use the <code>ORDER BY</code> clause.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>