<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How a database table is organized</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How a database table is organized</h1>
    <h2>Concepts</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <ul>
        <li>A <span style="background-color: yellow;">relational</span> database consists of <span style="background-color: yellow;">tables</span>. Tables consist of <span style="background-color: yellow;">rows</span> and <span style="background-color: yellow;">columns</span>, which can also be referred to as <span style="background-color: yellow;">records</span> and fields</span>.</li>
        <li>A table is typically modeled after a real-world entity, such as a product or customer.</li>
        <li>A column represents some attribute of the entity, such as the list price of a product or a customer’s email address.</li>
        <li>A row contains a set of values for one instance of the entity, such as one product or one customer.</li>
        <li>The intersection of a row and a column is sometimes called a <span style="background-color: yellow;">cell</span>. A cell stores a single value.</li>
        <li>Most tables have a <span style="background-color: yellow;">primary key</span> that uniquely identifies each row in the table.</li>
        <li>The primary key is usually a single column, but it can also consist of two or more columns (<span style="background-color: yellow;">compound key</span>).</li>
        <li>In addition to primary keys, most database management systems (DBMS) let you define one or more <span style="background-color: yellow;">non-primary</span> (<span style="background-color: yellow;">secondary</span>)keys. In MySQL, these keys are called <span style="background-color: yellow;">unique</span> keys. Like a primary key, a non-primary key uniquely identifies each row in the table.</li>
        <li>A table can also be defined with one or more indexes. An <span style="background-color: yellow;">index</span> provides an efficient way to access data from a table based on the values in specific columns. An index is automatically created for a table’s primary and non-primary keys.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>