<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to alter a table</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to alter a table</h1>
    <h2>A statement that renames a table</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
      ALTER TABLE products RENAME TO product;
      </pre>
    </div>
    <h2>A statement that adds a new column at the end of the table</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      ALTER TABLE customers ADD lastTransactionDate DATE;
      </pre>
    </div>
    <h2>A statement that adds a new column after a specified column</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      ALTER TABLE customers ADD lastTransactionDate DATE AFTER emailAddress;
      </pre>
    </div>
    <h2>A statement that drops a column</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      ALTER TABLE customers DROP lastTransactionDate;
      </pre>
    </div>
    <h2>A statement that renames a column</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      ALTER TABLE customers CHANGE emailAddress email VARCHAR(255) NOT NULL UNIQUE;
      </pre>
    </div>
    <h2>A statement that changes the definition of a column</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
ALTER TABLE customers MODIFY firstName VARCHAR(100) NOT NULL;
      </pre>
    </div>
    <h2>A statement that changes the data type of a column</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      ALTER TABLE customers MODIFY firstName CHAR(100) NOT NULL;
      </pre>
    </div>
    <h2>A statement that may cause data to be lost</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      ALTER TABLE customers MODIFY firstName VARCHAR(8);
      </pre>
    </div>
    <h2>A statement that sets the default value of a column</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      ALTER TABLE customers ALTER firstName SET DEFAULT '';
      </pre>
    </div>
    <h2>A statement that drops the default value of a column</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      ALTER TABLE customers ALTER firstName DROP DEFAULT;
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>You can use the <code>ALTER TABLE</code> statement to modify the columns of an existing table..</li>
      </ul>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Warning</h2>
      <ul>
        <li>You should never alter a table or other database object in a production database without first consulting the DBA, but you probably won’t have the privileges for doing that</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>