<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to use SQL to create a database</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to use SQL to create a database</h1>
    <h2>How to create a database</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
      CREATE DATABASE my_guitar_shop2;
      </pre>
    </div>
    <h2>How to create a database only if it does not exist</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      CREATE DATABASE IF NOT EXISTS my_guitar_shop2;
      </pre>
    </div>
    <h2>How to select a database</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      USE my_guitar_shop2;
      </pre>
    </div>
    <h2>How to drop (delete) a database</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
       DROP DATABASE my_guitar_shop2;
      </pre>
    </div>
    <h2>How to drop (delete) a database only if it exists</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
       DROP DATABASE IF EXISTS my_guitar_shop2;
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>You can use the <code>CREATE DATABASE</code> statement to create a database.</li>
        <li>You can use the <code>USE</code> statement to select a database.</li>
        <li>You can use the <code>DROP DATABASE</code> statement to drop a database.</li>
        <li><strong>Warning</strong> You should never drop a production database without first consulting the DBA. In most cases, though, you won’t have the privilege to do that (see figure 17-10).</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>