<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to drop (delete) a table</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to drop (delete) a table</h1>
    <h2>A statement that drops a table</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      DROP TABLE customers; 
      </pre>
    </div>
    <h2>A statement that drops a table if it exists</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      DROP TABLE IF EXISTS customers;
      </pre>
    </div>
    <h2>A statement that empties a table</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <p>Use the <code>TRUNCATE TABLE</code> statement to empty a table of all of its records but retain the table structure.</p>
      <pre>
      TRUNCATE TABLE customers;
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>You can use the <code>DROP TABLE</code> statement to delete a table.</li>
        <li>If you drop a table, MySQL deletes its definition (including its indexes) and its data.</li>
      </ul>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Warning</h2>
      <ul>
        <li> You should never drop a table in a production database without first consulting the DBA, but you probably won’t have the privileges for doing that.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>