<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to load data from text files</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to load data from text files</h1>
    <h2></h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <img src="load.jpg" alt="load text image" style="width: 759px; height: 789px;" /> <!-- 1518 x 1569 -->
    </div>
    <h2>A comma seperated (CSV) file that’s stored in users.csv</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
1,John,Smith,jsmith@gmail.com
2,Andrea,Steelman,andi@murach.com
3,Joel,Murach,joelmurach@yahoo.com
      </pre>
    </div>
    <h2>How to use phpMyAdmin to load data from a CSV file</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <ol>
        <li>Start phpMyAdmin, select the database, select the table, and click on the Import tab.</li>
        <li>Select the file to import.</li>
        <li>Set the options for the import (CSV) and click the Go button.</li>
      </ol>
      If you get an error, you can modify the import options and try again.
    </div>
    <h2>How to use the linux MySQL command prompt to load data from a CSV file</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
mysql> load data local infile "users.csv" into table junk;
Query OK, 3 rows affected, 12 warnings (0.00 sec)
Records: 3  Deleted: 0  Skipped: 0  Warnings: 12

mysql> select * from junk;
+----+------+------+------+
| id | fn   | ln   | em   |
+----+------+------+------+
|  0 | NULL | NULL | NULL |
|  2 | NULL | NULL | NULL |
|  3 | NULL | NULL | NULL |
+----+------+------+------+
3 rows in set (0.00 sec)

mysql>  exit;
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>You can use phpMyAdmin or the LOAD command to load data into a MySQL database from a text file.</li>
        <li></li>
        <li></li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>