<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to revoke privileges</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to revoke privileges</h1>
    <h2>The syntax of the <code>REVOKE</code> statement for all privileges</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
      REVOKE ALL[ PRIVILEGES], GRANT OPTION FROM user [, user];
      </pre>
    </div>
    <h2>A statement that revokes all privileges from a user</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      REVOKE ALL, GRANT OPTION FROM dba;
      </pre>
    </div>
    <h2>A statement that revokes all privileges from multiple users</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      REVOKE ALL, GRANT OPTION FROM dba, joel@localhost;
      </pre>
    </div>
    <h2>The syntax of the <code>REVOKE</code> statement for specific privileges</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      REVOKE privilegeList ON [dbName.]table FROM user [, user];
      </pre>
    </div>
    <h2>A statement that revokes specific privileges from a user</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      REVOKE UPDATE, DELETE ON my_guitar_shop2.customers FROM joel@localhost;
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>You can use the <code>REVOKE</code> statement to revoke privileges from a user.</li>
        <li>To revoke all privileges, you must have the global <code>CREATE USER</code> privilege.</li>
        <li>To revoke specific privileges, you must have the <code>GRANT OPTION</code> privilege and you must have the privileges that you are revoking.</li>
        <li>To delete a user account, use the <code>DROP USER</code> statement.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>