<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to create, rename, and drop users</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to create, rename, and drop users</h1>
    <h2>How to create a user from a specific host</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
      CREATE USER joel@localhost IDENTIFIED BY 'sesame'; 
      </pre>
    </div>
    <h2>How to create a user from any host</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      CREATE USER dba IDENTIFIED BY 'sesame'; --creates 'dba@%'
      </pre>
    </div>
    <h2>How to rename a user from a specific host</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      RENAME USER joel@localhost TO joelmurach@localhost;
      </pre>
    </div>
    <h2>How to change a user’s password</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      GRANT USAGE ON *.* TO joelmurach@localhost IDENTIFIED BY 'newpassword';
      </pre>
    </div>
    <h2>How to drop a user from a specific host</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      DROP USER joelmurach@localhost;
      </pre>
    </div>
    <h2>How to drop a user from any host</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      DROP USER dba; --drops 'dba@%'
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>You use the <code>CREATE USER</code> statement to create a user that has no privileges.</li>
        <li>If you want to specify the host for a user, you can code the username, followed by the @ character, followed by the hostname.</li>
        <li>If you specify a user without specifying a hostname, MySQL uses a percentage sign (%) as a wildcard character to indicate that the user can be from any host.</li>
        <li>You can use the <code>RENAME USER</code> statement to change the name of a user.</li>
        <li>You can use the <code>GRANT</code> statement to change a user’s password.</li>
        <li>You can use the <code>DROP USER</code> statement to drop a user.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>