<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to view privileges</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to view privileges</h1>
    <h2>A statement that lists all users</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT User, Host from mysql.user;
      </pre>
    </div>
    <h2>The result set</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <img src="viewusers.jpg" alt="View User Privs image" />
    </div>
    <h2>The syntax of the <code>SHOW GRANTS</code> statement</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SHOW GRANTS [FOR user];
      </pre>
    </div>
    <h2>A statement that shows the privileges for a user from any host</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SHOW GRANTS FOR dba;
      </pre>
    </div>
    <h2>The result set</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <img src="showprivs.jpg" alt="View User Privs image" />
    </div>
    <h2>A statement that shows the privileges for a user from a specific host</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SHOW GRANTS FOR mgs_user@localhost;
      </pre>
    </div>
    <h2>The result set</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <img src="viewuser.jpg" alt="View User Privs image" />
    </div>
    <h2>A statement that shows the privileges for the current user</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SHOW GRANTS;
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>MySQL uses an internal database named mysql to keep track of its users. Within that database, MySQL uses a table named users to keep track of its users. You can query that table to get a list of users for the current MySQL server.</li>
        <li>You can use the <code>SHOW GRANTS</code> statement to show the privileges for a user.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>