<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to use the IS NULL operator</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to use the IS NULL operator</h1>
    <h2>The syntax of the <code>WHERE</code> clause with the <code>IS NULL</code> operator</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
      WHERE expression IS [NOT] NULL
      </pre>
    </div>
    <h2>Retrieve all rows</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT orderID, orderDate, shipDate 
      FROM orders;
      </pre>
      <img src="allrows.jpg" alt="all rows image" />
    </div>
    <h2>Retrieve rows for orders that haven’t been shipped</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT orderID, orderDate, shipDate 
      FROM orders 
      WHERE shipDate IS NULL;
      </pre>
      <img src="null.jpg" alt="NULL image" />
    </div>
    <h2>Retrieve rows for orders that have been shipped</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT orderID, orderDate, shipDate 
      FROM orders 
      WHERE shipDate IS NOT NULL;
      </pre>
      <img src="notnull.jpg" alt="NOT NULL image" />
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>If the database allows <code>NULL</code> values in a column, you can use the <code>IS NULL</code> operator to select rows that have or don’t have <code>NULL</code> values in that column.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>