<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to select data from a single table</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to select data from a single table</h1>
    <h2>The simplified syntax of the <code>SELECT</code> statement</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT select_list FROM table_source [WHERE search_condition] [ORDER BY order_by_list];
      </pre>
    </div>
    <h2>Retrieve all rows and columns from a table</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT * FROM products;
      </pre>
      <img src="select.jpg" alt="select image" />
      <pre>
      (3 rows of 10)
      </pre>
    </div>
    <h2>Retrieve three columns and sort them by price</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
       SELECT productID, productName, listPrice 
       FROM products 
       ORDER BY listPrice;
      </pre>
      <img src="orderby.jpg" alt="select order by image" />
      <pre>
      (6 rows of 10)
      </pre>
    </div>
    <h2>Retrieve rows in the specified price range</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT productID, productName, listPrice 
      FROM products 
      WHERE listPrice &lt; 450
      ORDER BY listPrice;
      </pre>
      <img src="where.jpg" alt="select where image" />
      <pre>
      (6 rows of 10)
      </pre>
    </div>
    <h2>Retrieve an empty result set</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT productID, productName, listPrice 
      FROM products 
      WHERE listPrice &lt; 10;
      </pre>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>