<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to use an alias for a column</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to use an alias for a column</h1>
    <h2>Use the <code>AS</code> keyword to specify an alias</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT productID, productName AS name, listPrice AS price 
      FROM products 
      WHERE listPrice &lt; 450 
      ORDER BY listPrice;
      </pre>
      <img src="as.jpg" alt="alias using AS image" />
    </div>
    <h2>Omit the <code>AS</code> keyword</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT productID, productName name, listPrice price 
      FROM products
      WHERE listPrice &lt; 450 
      ORDER BY listPrice;
      </pre>
      <img src="noas.jpg" alt="alias not using AS image" />
    </div>
    <h2>Use quotes to include spaces</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT productID AS "ID", productName AS "Product Name", listPrice AS "Price"
      FROM products 
      WHERE listPrice &lt; 450 
      ORDER BY listPrice;
      </pre>
      <img src="quotes" alt="alias using quotes image" />
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>By default, a column in the result set is given the same name as the column in the base table. If that’s not what you want, you can specify a column alias for the column.</li>
        <li>One way to name a column is to use the <code>AS</code> keyword as shown in the first example above. Although the <code>AS</code> keyword is optional, it enhances readability.</li>
        <li>When you enclose an alias in quotes, you can use spaces within the column name.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>