<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to delete rows</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to delete rows</h1>
    <h2>The syntax of the <code>DELETE</code> statement</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      pre>
       DELETE [FROM] table_name [WHERE search_condition]
      </pre>
    </div>
    <h2>Delete one row</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      DELETE FROM products WHERE productID = 6;
      </pre>
    </div>
    <h2>Delete multiple rows</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      DELETE FROM products WHERE categoryID = 3;
      </pre>
    </div>
    <h2>Another way to delete multiple rows</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      DELETE FROM categories WHERE categoryID > 3;
      </pre>
    </div>
    <h2>Use a subquery to delete all order items for a customer</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      DELETE FROM orderItems 
      WHERE orderID IN (
        SELECT orderID FROM orders WHERE customerID = 1
      );
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>You can use the <code>DELETE</code> statement to delete one or more rows from the table you name in the <code>DELETE</code> clause.</li>
        <li>You specify the conditions that must be met for a row to be deleted in the <code>WHERE</code> clause.</li>
        <li>You can use a subquery within the <code>WHERE</code> clause.</li>
      </ul>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Warning</h2>
      <ul>
        <li>If you omit the WHERE clause from a DELETE statement, all the rows in the table are deleted.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>