<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to use the LIKE operator</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to use the <code>LIKE</code> operator</h1>
    <h2>The syntax of the <code>WHERE</code> clause with the <code>LIKE</code> operator</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
      WHERE match_expression [NOT] LIKE pattern
      </pre>
    </div>
    <h2>Wildcard symbols</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Symbol</th>
            <th>Description</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>%</td>
            <td>Matches any string of zero or more characters.</td>
          </tr>
          <tr>
            <td>_</td>
            <td>Matches any single character.</td>
          </tr>
        </tbody>
      </table>
    </div>
    <h2><code>WHERE</code> clauses that use the <code>LIKE</code> operator</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th style="width: 30%;">Example</th>
            <th>Results that match the mask</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>WHERE productName LIKE 'Fender%'</td>
            <td>All rows that have a name that starts with "Fender". For example, "Fender Stratocaster" and "Fender Precision".</td>
          </tr>
          <tr>
            <td>WHERE productName LIKE '%cast%'</td>
          </tr>
          <tr>
            <td>WHERE zipCode LIKE '076__'</td>
            <td>All rows that have a zip code that begins with 076, followed by any two characters. For example, "07652" and "07677", but not 07652-4455.</td>
          </tr>
          <tr>
            <td>WHERE orderDate LIKE '2017-06-__%'</td>
            <td>All rows that have an order date in June of 2017.</td>
          </tr>
        </tbody>
      </table>
      <img src="2nd.jpg" alt="2nd 2 rows image" />
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>You use the <code>LIKE</code> operator to retrieve rows that match a string pattern, called a mask. Within the mask, you can use special characters, called wildcard characters, that determine which values in the column satisfy the condition.</li>
        <li>You can use the <code>NOT</code> operator before the <code>LIKE</code> operator. Then, only those rows with values that don’t match the string pattern are included in the result set.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>