<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to select rows with a <code>LIMIT</code> clause</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to select rows with a LIMIT clause</h1>
    <h2>The syntax of the <code>LIMIT</code> clause</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
      LIMIT [rowOffset, ] maxRows;
      </pre>
    </div>
    <h2>Retrieve the first three rows of the result set</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT productID, productName 
      FROM products 
      LIMIT 3;
      </pre>
      <img src="limit.jpg" alt="limit image" />
    </div>
    <h2>Another way to retrieve the first three rows</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT productID, productName 
      FROM products 
      LIMIT 0, 3;
      </pre>
      <img src="3rows.jpg" alt="limit 3 rows image" />
    <h2>Retrieve three rows starting at the second row</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      SELECT productID, productName 
      FROM product 
      LIMIT 1, 3;
      </pre>
      <img src="2nd.jpg" alt="2nd 2 rows image" />
    </div>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>You can use the <code>LIMIT</code> clause to limit the number of rows that are included in the result set.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>