<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title></title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to update rows</h1>
    <h2>The syntax of the <code>UPDATE</code> statement</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
      UPDATE table_name 
      SET column_name_1 = expression_1 [, column_name_2 = expression_2]... 
      [WHERE search_condition]
      </pre>
    </div>
    <h2>Update one column of one row</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      UPDATE products 
      SET discountPercent = '10.00' 
      WHERE productName = 'Fender Telecaster';
      </pre>
    </div>
    <h2>Update multiple columns of one row</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      UPDATE products 
      SET discountPercent = '25.00', 
          description = 'This guitar has great tone and smooth playability.' 
      WHERE productName = 'Fender Telecaster';
      </pre>
    </div>
    <h2>Update one column of multiple rows</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      UPDATE products SET discountPercent = '15.00' 
      WHERE categoryID = 2;
      </pre>
    </div>
    <h2>Update one column of all rows in the table</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      UPDATE products SET discountPercent = '15.00';
      </pre>
    </div>
    <h2>Use a subquery to update multiple rows</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      UPDATE orders SET shipAmount = 0 
      WHERE customerID IN (
        SELECT customerID FROM customers WHERE lastName = 'Sherwood'
      );
      </pre>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>You use the <code>UPDATE</code> statement to modify one or more rows in the table named in the <code>UPDATE</code> clause.</li>
        <li>You name the columns to be modified and the value to be assigned to each column in the SET clause. You can specify the value for a column as a literal or an expression.</li>
        <li>You can specify the conditions that must be met for a row to be updated in the WHERE clause.</li>
      </ul>
    </div>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
    <h2>Warning</h2>
      <ul>
        <li>If you omit the WHERE clause, all rows in the table are updated.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>