<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to insert, update, and delete data</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to insert, update, and delete data</h1>
    <h2>Properties of the mysqli class for checking the result</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Property</th>
            <th>Description</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>affected_rows</td>
            <td>Returns the number of affected rows. If no rows were affected, this property returns zero.</td>
          </tr>
          <tr>
            <td>insert_id</td>
            <td>Returns the auto generated ID used in the last query. If no ID was generated, this property returns zero.</td>
          </tr>
          <tr>
            <td>error</td>
            <td>Returns the error message if an error occurred. Otherwise, it returns an empty string.</td>
          </tr>
          <tr>
            <td>errno</td>
            <td>Returns the error number if an error occurred. Otherwise, it returns zero.</td>
          </tr>
        </tbody>
      </table>
    </div>
    <h2>How to execute an INSERT statement</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      // Escape the parameters 
      $category_id_esc = $db->escape_string($category_id); 
      $code_esc = $db->escape_string($code); 
      $name_esc = $db->escape_string($name); 
      $price_esc = $db->escape_string($price); 
       
      // Execute the statement 
      $query = "INSERT INTO products (categoryID, productCode, productName, listPrice) 
                VALUES ('$category_id_esc', '$code_esc', '$name_esc', '$price_esc')";
      $success = $db->query($query); 
       
      // Check the result
      if ($success) { 
        $count = $db->affected_rows; 
        echo("&lt;p&gt;$count product(s) were added.&lt;/p&gt;");

        // Get the product ID that was automatically generated 
        $product_id = $db->insert_id; 
        echo("&lt;p&gt;Generated product ID: $product_id.&lt;/p&gt;");
      } else { 
        $error_message = $db->error; 
        echo("&lt;p&gt;An error occurred: $error_message.&lt;/p&gt;");
      }
      </pre>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>