<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to add HTML tags to text</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to add HTML tags to text</h1>
    <h2>The <code>util/tags.php</code> file</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;?php
      function add_tags($text) { 
      
        // Convert return characters to the Unix new lines 
        $text = str_replace("\r\n", "\n", $text); 
        $text = str_replace("\r", "\n", $text);

        // Get an array of paragraphs 
        $paragraphs = explode("\n\n", $text); 
      
        // Add tags to each paragraph 
        $text = ''; 
        foreach($paragraphs as $p) { 
          $p = ltrim($p);
          $first_char = substr($p, 0, 1);
          if ($first_char == '*') { 
            // Add &lt;ul&gt; and &lt;li&gt; tags
            $p = "&lt;ul&gt;$p&lt;/ul&gt";
            $p = str_replace("*", '&lt;li&gt;, $p);
            $p = str_replace("\n", '&lt;/li&gt;', $p);
          } else { 
            // Add &lt;p&gt; tags
            $p = "&lt;p&gt;$p&lt;/p&gt;";
          }
          $text .= $p; 
        } 
        return $text;
      }
      </pre>
    </div>
    <h2>Code that uses the <code>add_tags()</code> function</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $description = add_tags($description);
      </pre>
    </div>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>To add HTML tags to the text in a column of a database, you can parse the code by using PHP’s string functions that were presented in chapter 9 and add the tags wherever necessary.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>