<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>A database-driven website</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to work with large text columns</h1>
    <h2>The text that’s entered by the user</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <!-- pre -->
      The Fender Stratocaster is &lt;i&gt;the&lt;/i&gt; electric guitar design that changed the world. This guitar features a thicker 
      bridge block for increased sustain and a more stable point of contact with the strings.<br /> 
      <p></p>
      Features: <br /> 
      <p></p>
      * Thicker bridge block<br /> 
      * 3-ply parchment pick guard <br /> 
      * Tinted neck<br /> 
      <!-- /pre -->
    </div>
    <h2>The HTML that’s generated by the content management system</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;p&gt;The Fender Stratocaster is &lt;i&gt;the&lt;/i&gt; electric guitar design 
      that changed the world. This guitar features a thicker bridge block for increased 
      sustain and a more stable point of contact with the strings.&lt;/p&gt;

      &lt;p&gt;Features:&lt;/p&gt;

      &lt;ul&gt;
         &lt;li&gt;Thicker bridge block&lt;/li&gt;
         &lt;li&gt;3-ply parchment pick guard
         &lt;li&gt;Tinted neck&lt;/li&gt;
      &lt;/ul&gt;
      </pre>
    </div>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <h2>The rules for this content management system</h2>
      <ul>
        <li>Use two returns to start a new paragraph.</li>
        <li>Use an asterisk to mark items in a bulleted list.</li>
        <li>Use one return between items in a bulleted list.</li>
        <li>Use standard HMTL tags for bold and italics</li>
      </ul>
    </div>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>A content management system for a website is a series of web pages that make it easy for users with little knowledge of HTML to manage the content of the website.</li>
        <li>To allow the user to use HTML tags, you must not use the <code>htmlentities()</code> or <code>htmlspecialchars()</code> function to convert special characters to their equivalent HTML entities.</li>
        <li>Bulletin Board Code (BBCode) is a markup language that’s used by many bulletin board or message board systems to format text. BBCode is similar to HTML, but it has a simplified syntax that uses square brackets ([ ]) instead of angled brackets (< >).</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>