<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>The utility files</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>The utility files</h1>
    <h2>The <code>util/main.php</code> file</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre style="font-size: medium; font-family: 'courier new', courier, sans-serif;">
      &lt;?php
      // Get the document root 
      $doc_root = filter_input(INPUT_SERVER, 'DOCUMENT_ROOT'); 

      // Get the application path
      $uri = filter_input(INPUT_SERVER, 'REQUEST_URI'); 
      $dirs = explode('/', $uri); 
      $app_path = '/' . $dirs[1] . '/' . $dirs[2] . '/'; 

      // Set the include path 
      set_include_path($doc_root . $app_path); 
      ?&gt;
      </pre>
    </div>
    <h2>The <code>view/header.php</code> file</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;!DOCTYPE html&gt;
      &lt;html&gt;    
      &lt;!-- the head section --&gt;
      &lt;head&gt;
        &lt;title&gt;My Guitar Shop&lt;/title&gt;
        &lt;link rel="stylesheet" type="text/css" href="&lt;?php echo $app_path ?&gt;main.css" /&gt;
      &lt;/head&gt;

      &lt;!-- the body section --&gt;
      &lt;body&gt;
      &lt;header&gt;
        &lt;h1&gt;My Guitar Shop&lt;/h1&gt;
      &lt;/header&gt;
      &lt;main&gt;
      </pre>
    </div>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>General-purpose files like the tags.php file in figure above are often called utility files because they can be used by many applications.</li>
        <li>View files like the header.php and sidebar.php files in this figure are included by more than one of the other view files.</li>
      </ul>
    </div>
    <h2>The <code>view/sidebar.php</code> file</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
&lt;aside&gt;
    &lt;!-- These links are for testing only.
         Remove them from a production application. --&gt;
    &lt;h2&gt;Links&lt;/h2&gt;
    &lt;ul&gt;
        &lt;li&gt;
            &lt;a href="&lt;?php echo $app_path; ?&gt;"&gt;Home&lt;/a&gt;
        &lt;/li&gt;
        &lt;li&gt;
            &lt;a href="&lt;?php echo $app_path . 'admin'; ?&gt;"&gt;Admin&lt;/a&gt;
        &lt;/li&gt;
    &lt;/ul&gt;
    &lt;h2&gt;Categories&lt;/h2&gt;
    &lt;ul&gt;
        &lt;!-- display links for all categories --&gt;
        &lt;?php foreach ($categories as $category) : ?&gt;
        &lt;li&gt;
            &lt;a href="&lt;?php echo $app_path . 'catalog' . 
                '?action=list_products' .
                '&category_id=' . $category['categoryID']; ?&gt;"&gt;
                &lt;?php echo $category['categoryName']; ?&gt;
            &lt;/a&gt;
        &lt;/li&gt;
        &lt;?php endforeach; ?&gt;
        &lt;li&gt; &lt;/li&gt;
    &lt;/ul&gt;
&lt;/aside&gt;
</pre>
    </div>
    <h2>The <code>view/sidebar_admin.php</code> file</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
&lt;aside&gt;
    &lt;h2&gt;Links&lt;/h2&gt;
    &lt;ul&gt;
        &lt;li&gt;
            &lt;a href="&lt;?php echo $app_path; ?&gt;"&gt;Home&lt;/a&gt;
        &lt;/li&gt;
        &lt;li&gt;
            &lt;a href="&lt;?php echo $app_path . 'admin'; ?&gt;"&gt;Admin&lt;/a&gt;
        &lt;/li&gt;
    &lt;/ul&gt;

    &lt;h2&gt;Categories&lt;/h2&gt;
    &lt;ul&gt;
        &lt;!-- display links for all categories --&gt;
        &lt;?php foreach ($categories as $category) : ?&gt;
        &lt;li&gt;
            &lt;a href="&lt;?php echo $app_path . 'admin/product' .
                '?action=list_products' .
                '&category_id=' . $category['categoryID']; ?&gt;"&gt;
            &lt;?php echo $category['categoryName']; ?&gt;
            &lt;/a&gt;
        &lt;/li&gt;
        &lt;?php endforeach; ?&gt;
    &lt;/ul&gt;
&lt;/aside&gt;
      </pre>
    </div> 
    <h2>The <code>util/footer.php<//code> file</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
&lt;/main&gt;
&lt;footer&gt;
    &lt;p id="copyright"&gt;
        &amp;copy; &lt;?php echo date("Y"); ?&gt; My Guitar Shop, Inc.
    &lt;/p&gt;
&lt;/footer&gt;
&lt;/body&gt;
&lt;/html&gt;   
      </pre>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>