<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>A class for encrypting and decrypting data</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>A class for encrypting and decrypting data</h1>
    <h2>The Crypt class (crypt.php)</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <pre>
&lt;?php 
require_once('/xampp/php/lib/defuse-crypto.phar'); 
use Defuse\Crypto\Key; 
use Defuse\Crypto\Crypto; 
use Defuse\Crypto\Exception\WrongKeyOrModifiedCiphertextException;

class Crypt {
  private $key; public function __construct() { 
    // make sure the following code points to a file that exists
    // and contains a valid key 
    $keyAscii = file_get_contents('/xampp/php/defuse-key.txt'); 
    $this-&gt;key = Key::loadFromAsciiSafeString($keyAscii); 
  }
  public function encrypt($data) {
    $encrypted_data = Crypto::encrypt($data, $this-&gt;key); 
    return $encrypted_data;
  }
  public function decrypt($encrypted_data) {
    try {
      $data = Crypto::decrypt($encrypted_data, $this-&gt;key);
      return $data;
    } catch (WrongKeyOrModifiedCiphertextException $ex) {
      throw new Exception($ex-&gt;getMessage());
    }
  }
} ?&gt;
</pre>
    </div>
    <h2>Code that uses the Crypt class to encrypt and decrypt data</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
&lt;?php
require 'crypt.php';
$credit_card_no = '4111111111111111'; 

// Create the Crypt object 
$crypt = new Crypt(); 

// Use the Crypt object to encrypt the data 
$encrypted_data = $crypt-&gt;encrypt($credit_card_no); 
echo("Encrypted data: $encrypted_data&lt;br />&gt;");

// Use the Crypt object to decrypt the data 
try {
  $decrypted_data = $crypt-&gt;decrypt($encrypted_data);
  echo"Decrypted data: $decrypted_data&lt;br />&gt;");
} catch (Exception $ex) {
  echo("Exception: " . $ex-&gt;getMessage() . "&lt;br /&gt;");
}      
      </pre>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>