<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to get a digital secure certificate</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to get a digital secure certificate</h1>
    <h2>Common certificate authorities that issue digital secure certificates</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
       www.symantec.com/ssl-sem-page 
       www.godaddy.com/ssl 
       www.globalsign.com 
       www.startcom.org 
       www.comodo.com
      </pre>
    </div>
    <h2>SSL strengths Strength Pros and Cons</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Strength</th>
            <th>Pros and Cons</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>40-bit</td>
            <td>Most browsers support it, but it’s relatively easy to break the encryption code.</td>
          </tr>
          <tr>
            <td>56-bit</td>
            <td>It’s thousands of times stronger than 40-bit strength and most browsers support it, but it’s still possible to break the encryption code.</td>
          </tr>
          <tr>
            <td>128-bit</td>
            <td>It’s over a trillion times a trillion times stronger than 40-bit strength, which makes it extremely difficult to break the encryption code, but it’s more expensive and not all browsers support it.</td>
          </tr>
          <tr>
            <td>256-bit</td>
            <td>It’s virtually impossible to break the encryption code, but it’s more expensive and not all browsers support it.</td>
          </tr>
        </tbody>
      </table>
    </div>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>To use SSL in your web applications, you must first purchase a digital secure certificate from a trusted <span style="background-color: yellow;">certification authority (CA)</span>. Once you obtain the certifi-cate, you send it to the people who host your website so they can install it on the server.</li>
        <li>A CA is a company that issues and manages security credentials. To verify infor-mation provided by the requestor of the secure certificate, a </span>CA must check with a <span style="background-color: yellow;">registration authority (RA)</span>. Once the RA verifies the requestor’s information, the CA can issue a digital secure certificate.</li>
        <li>Since SSL is built into all major browsers and web servers, installing a digital secure certificate enables SSL.</li>
        <li><span style="background-color: yellow;">SSL strength</span> refers to the length of the generated key that is created during the encryption process. The longer the key, the more difficult to break the encryption code.</li>
        <li>The SSL strength that’s used depends on the strength provided by the certificate, the strength supported by the web server, and the strength supported by the browser. If a web server or browser isn’t able to support the strength provided by the certificate, a lesser strength is used.</li>
        <li>It’s considered a best practice to use 128-bit or better SSL strength if you process payments or collect personal information such as social security number, address, date of birth, and so on.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>