<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to work with cryptography</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to work with cryptography</h1>
    <h2>Four cryptography libraries</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Library</th>
            <th>Description</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>mcrypt</td>
            <td>An encryption library that was included with PHP. However, this library was deprecated with PHP 7.1. With PHP 7.2, it is slated to be moved to PECL (PHP Extension Community Library), which is a repository of extensions for the PHP language.</td>
          </tr>
          <tr>
            <td>Libsodium</td>
            <td>Defuse OpenSSL The current industry standard for cryptography. This library is available to PHP developers through PECL, but it is slated to be included with PHP 7.2.</td>
          </tr>
          <tr>
            <td>Defuse</td>
            <td>An encryption library written in PHP. It requires PHP 5.4 or later, and it requires the OpenSSL extension to be enabled. This library is expected to remain stable and supported until at least January 1st , 2019.</td>
          </tr>
          <tr>
            <td>OpenSSL</td>
            <td>An encryption library written in the C programming language. PHP includes a wrapper that allows you to use the OpenSSL library.</td>
          </tr>
        </tbody>
      </table>
    </div>
    <h2>The URL for the Defuse cryptography library</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <a href="https://github.com/defuse/php-encryption" target="_blank">https://github.com/defuse/php-encryption</a>
    </div>
    <h2>One way to install the Defuse cryptography library</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <ol>
        <li>Go to the URL shown above.</li>
        <li>Follow the instructions there to download the defuse-crypto.phar file that contains the library. If you’re serious about security, you should also follow the instructions there to verify the integrity of the <code>defuse-crypto.phar</code> file.</li>
        <li>Copy the <code>defuse-crypto.phar</code> file to a logical place on your file system. For example, you may want to put it in the <code>xampp/php/lib</code> directory.</li>
      </ol>
    </div>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>The mcrypt library that has been available since PHP 4 has been deprecated as of PHP 7.1. Several alternatives to the mycrypt library are available, but two of the best are the Libsodium and Defuse cryptography libraries.</li>
        <li>Both the Libsodium and Defuse cryptography libraries provide greatly improved security over the mycrypt library, partly because they are designed to be easy to use in a secure way and hard to use in an insecure way.</li>
        <li>The OpenSSL library can be tricky to use, and it’s easy to use it in an insecure way.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>