<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to request a secure connection</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to request a secure connection</h1>
    <h2>URLs for working with secure connections on a local system</h2>
    <h3>Test if secure connections are configured correctly</h3>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <p>For your local webserver, see <a href="https://zuziko.com/tutorials/how-to-enable-https-ssl-on-wamp-server/" target="_blank">WAMP SSL Setup</a>, <a href="https://www.ssldragon.com/blog/how-to-install-an-ssl-certificate-for-localhost-xampp/" target="_blank">XAMPP SSL Setup</a>, or <a href="https://documentation.mamp.info/en/MAMP-PRO-Mac/How-Tos/SSL/How-to-install-an-SSL-certificate-on-MAMP/" target="_blank">MAMP SSL Setup</a>.</p>
      <pre>
      https://localhost/
      </pre>
    </div>
    <h3>Request a secure connection</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      https://localhost/book_apps/ch21_ssl/
      </pre>
    </div>
    <h3>Return to a regular connection</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      http://localhost/book_apps/ch21_ssl/
      </pre>
    </div>
    <h2>URLs for working with secure connections over the Internet</h2>
    <h3>Request a secure connection</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      https://www.murach.com/
      </pre>
    </div>
    <h3>Return to a regular connection</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      http://www.murach.com/
      </pre>
    </div>
    <h2>A warning page for the security certificate</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <img src="notsecure.jpg" alt="not secure warning image" />
    </div>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>To request a secure connection, use an absolute URL that starts with https.</li>
        <li>Once you establish a secure connection, you can use relative URLs to continue using the secure connection.</li>
        <li>To return to a regular HTTP connection after using a secure connection, use an absolute URL that starts with http.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>