<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to use a secure connection</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to use a secure connection</h1>
    <h2>Introduction to secure connections</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <img src="secure.jpg" alt="secure connection image" style="width: 470px; height: 321px;" /> <!-- 941x642 -->
    </div>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li><span style="background-color: yellow;">Transport Layer Security (TLS)</span> and <span style="background-color: yellow;">Secure Sockets Layer (SSL)</span> are the two protocols used by the Internet that allow clients and servers to communicate over a <span style="background-color: yellow;">secure connection</span>.</li>
        <li>TLS is the successor to SSL. Although there are slight differences between SSL and TLS, the protocol remains substantially the same. As a result, they are sometimes referred to as the TLS/SSL protocol or these terms are used interchangeably.</li>
        <li>With SSL, the browser encrypts all data that’s sent to the server and decrypts all data that’s received from the server. Conversely, the server encrypts all data that’s sent to the browser and decrypts all data that’s received from the browser. • </li>
        <li>SSL is able to determine if data has been tampered with during transit. It is also able to verify that a server or a client is who it claims to be.</li>
        <li>The URL for a secure connection starts with HTTPS instead of HTTP. </li>
        <li>A web browser that is using a secure connection typically displays a lock icon to the left of the URL for the web page.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>