<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>A helper function for sending an email</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>A helper function for sending an email</h1>
    <h2>The </code>message.php</code> file</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <p>See <code>\murach\book_apps\ch22_register_email\model</code></p>
    </div>
    <h2>How to use the helper function to send an email</h2>
    <h3>How to use the send_email() function</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;?php
      require_once 'message.php'; 
      $from_address = 'johndoe@example.com'; 
      $from_name = 'John Doe'; 
      $to_address = 'janedoe@example.com'; 
      $to_name = 'Jane Doe'; 
      $subject = 'How to use PHPMailer'; 
      $body = 'The Murach PHP and MySQL book has a chapter on how to use PHPMailer 
      &lt;a href="https://github.com/PHPMailer/PHPMailer"&gt;PHPMailer&lt;/a&gt; to send email.'; $is_body_html = true; 
      try {
        send_email($to_address, $to_name, $from_address, $from_name, $subject, $body, $is_body_html);
        echo("Mail was sent successfully.&;t/br />&gt;");
      } catch (Exception $e) { 
        echo("Error " . $e->getMessage() . "&lt;br />&gt;");
      }
      ?&gt; </pre>
    </div>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>To make it easier to send an email, you can use the <code>send_email()</code> function in the <code>message.php</code> file that’s presented on this page.</li>
        <li>Since the <ccode>send_email()</code> function throws exceptions if it encounters invalid email addresses or other problems sending the email, you can use a <code>try/catch</code> statement to handle these exceptions.</li>        
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>