<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to use PHPMailer to send an email</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to use PHPMailer to send an email</h1>
    <h2>The PHPMailer 5.2 directory that’s included with this book’s download</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <pre>/xampp/htdocs/book_apps/PHPMailer</pre>
    </div>
    <h2>The GitHub URL that provides more recent versions of PHPMailer </h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <p><a href="https://github.com/PHPMailer/PHPMailer" target="_blank">github.com/PHPMailer/PHPMailer</a></p>
    </div>
    <h2>How to use PHPMailer to send an email</h2>
    <h3>Step 1: Load the PHPMailer classes</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      set_include_path('/xampp/htdocs/book_apps/PHPMailer'); 
      require_once 'PHPMailerAutoload.php';
      </pre>
    </div>
    <h3>Step 2: Create the PHPMailer object</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      mail = new PHPMailer();
      </pre>
    </div>
    <h3>Step 3: Set the parameters for the PHPMailer</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      object $mail->isSMTP(); // Set mailer to use SMTP
      $mail->Host = 'smtp.gmail.com'; // Set SMTP server 
      $mail->SMTPSecure = 'tls'; // Set encryption type
      $mail->Port = 587; // Set TCP port
      $mail->SMTPAuth = true; // Enable SMTP authentication
      $mail->Username = 'YOUR_USERNAME@gmail.com'; // Set SMTP username 
      $mail->Password = 'YOUR_PASSWORD'; // Set SMTP password 
      $mail->setFrom('johndoe@example.com', 'John Doe'); 
      $mail->addAddress('janedoe@example.com', 'Jane Doe'); 
      $mail->Subject = 'PHPMailer Test'; 
      $mail->Body $mail->AltBody = 'This body does not use HTML.'; 
      $mail->isHTML(true);
      </pre>
    </div>
    <h3>Step 4: Use the PHPMailer object to send the email </h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      if($mail->send()) { 
        echo("Message has been sent by PHPMailer.&lt;br />");
      } else { 
        echo("Message could not be sent by PHPMailer.&lt;br />");
        echo("Error: " . $mail->ErrorInfo . "&lt;br />");
      }
      </pre>
    </div>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>Before you can use PHPMailer, you must download it and put the PHPMailer directory on your system.</li>
        <li>To automatically load all necessary PHPMailer classes, you can load the file named PHPMailerAutoload.php.</li>
        <li>To create a PHPMailer object, you can use the default constructor of the PHPMailer class.</li>
        <li>To configure the PHPMailer object, you can use its public properties and methods.</li>
        <li>To add recipients, you can call the <code>addAddress()</code> method one or more times.</li>
        <li>To send the email, you can call the <code>send()</code> method. If this method is successful, it returns TRUE. If this method encounters an error, it returns FALSE and sets an error message in the ErrorInfo property.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>