<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to set up a test email account</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to set up a test email account</h1>
    <h2>How to create a Gmail account for email testing</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <ol>
        <li>If you don’t already have a Gmail account, create one.</li>
        <li>At the top of the page, select the Settings icon and then the Settings link.</li>
        <li>On the Settings page, click the Forwarding and POP/IMAP tab.</li>
        <li>In the POP Download section, select the "Enable POP for all mail" option.</li>
        <li>Click the Save Changes button.</li>
        <li>Log in to your Gmail account and go to your Inbox.</li>
      </ol>
    <h2>Configuration information for a Gmail SMTP server</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Setting</th>
            <th>Value</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>SMTP</td>
            <td></td>
          </tr>
          <tr>
            <td>Host name</td>
            <td>smtp.gmail.com</td>
          </tr>
          <tr>
            <td>Encryption</td>
            <td>TLS</td>
          </tr>
          <tr>
            <td>Authentication</td>
            <td>TRUE</td>
          </tr>
          <tr>
            <td>Port number</td>
            <td>587</td>
          </tr>
          <tr>
            <td>Username</td>
            <td>username@gmail.com - For example: johndoe@gmail.com</td>
          </tr>
          <tr>
            <td>Password</td>
            <td>Gmail account password - For example: pa55word</td>
          </tr>
        </tbody>
      </table>
    </div>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>Before you can use PHP to send email, you need to connect to an SMTP server. If you have an Internet Service Provider (ISP) or a web hosting company, it will often provide access to an SMTP server. In addition, web-based email services such as Gmail typically provide access to an SMTP server.</li>
        <li>During development, you may not have access to an SMTP server. In this case, you can set up a free Gmail account as described above and use the Gmail SMTP server to test your application.</li>
        <li>During testing, make sure that you don’t abuse the SMTP server by sending unsolicited emails. Otherwise, access to the server may be terminated, and you may be reported to your ISP as a possible spammer.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>