<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to copy, rename, and delete a file</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to copy, rename, and delete a file</h1>
    <h2>Functions to copy, rename, and delete files</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Function</th>
            <th>Description</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>copy($oldname, $newname)</td>
            <td>Copies the file with the old filename to the file with the new filename. If successful, returns TRUE.</td>
          </tr>
          <tr>
            <td>rename($oldname, $newname)</td>
            <td>Renames the file with the old filename to the new filename. If successful, returns TRUE.</td>
          </tr>
          <tr>
            <td>unlink($name)</td>
            <td>Deletes the specified file. If successful, returns TRUE.</td>
          </tr>
        </tbody>
      </table>
    </div>
    <h2>Copy a file</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $name1 = 'message.txt'; 
      $name2 = 'message_2.txt'; 
      if (file_exists($name1)) {
        $success = copy($name1, $name2);
        if ($success) {
          echo("File was copied.&lt;br /&gt;");
        }
      }
      </pre>
    </div>
    <h2>Rename a file</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $name2 = 'message_2.txt'; 
      $name3 = 'message_copy.txt'; 
      if (file_exists($name2)) {
        $success = rename($name2, $name3);
        if ($success) { 
          echo("File was renamed.&lt;br /&gt;");
        } 
      }
      </pre>
    </div>
    <h2>Delete a file</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $name3 = 'message_copy.txt'; 
      if (file_exists($name3)) {
        $success = unlink($name3);
        if ($success) {
          echo("File was deleted.&lt;br /&gt;");
        } 
      }
      </pre>
    </div>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>PHP provides three functions that make it easy to copy, rename, or delete a file. Deletes the specified file. If successful, returns TRUE.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>