<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to read and write CSV data</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to read and write CSV data</h1>
    <h2>Functions that read and write CSV files</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Function</th>
            <th>Description</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>fgetcsv($file)</td>
            <td>Reads in a line of comma-separated values and returns them in an array.</td>
          </tr>
          <tr>
            <td>fputcsv($file, $array)</td>
            <td>Writes the specified array to the specified file as a line of comma-separated values.</td>
          </tr>
        </tbody>
      </table>
    </div>
    <h2></h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      
      </pre>
    </div>
    <h2>A simple CSV file</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
       MMS-1234,Trumpet,199.95 
       MMS-8521,Flute,149.95
      </pre>
    </div>
    <h2>Read tabular data from a CSV file</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $file = fopen('products.csv', 'rb');
      $products = array(); 
      while (!feof($file)) {
        $product = fgetcsv($file); 
        if ($product === false) {
          continue; 
        }
        $products[] = $product; 
        echo("&lt;div&gt;$product[0] | $product[1] | $product[2]&lt./div&gt;");
      }
      </pre>
    </div>
    <h2>Write tabular data to a CSV file</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
       $products = array(array('MMS-1234', 'Trumpet', 199.95), array('MMS-8521', 'Flute', 149.95)); $file = fopen('products.csv', 'wb'); 
       foreach ($products as $product) {
         fputcsv($file, $product);
       } 
       fclose($file);
      </pre>
    </div>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>In a comma-separated value (CSV) file, each line represents one record, and each record contains values (or fields) that are separated by commas.</li>
        <li>If a value in a CSV file contains commas, double quotes, or line breaks, the value must be enclosed within double quotes.</li>
        <li>CSV files are often exported from spreadsheets or database tables, and they can be imported to create spreadsheets or database tables.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>