<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to work with files</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to get a directory listing</h1>
    <h2>Three functions to determine if a file or directory exists</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Function</th>
            <th>Description</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>is_file($path)</td>
            <td>Returns TRUE if $path exists and is a file.</td>
          </tr>
          <tr>
            <td>is_dir($path)</td>
            <td>Returns TRUE if $path exists and is a directory.</td>
          </tr>
          <tr>
            <td>file_exists($path)</td>
            <td>Returns TRUE if $path exists and is either a file or a directory.</td>
          </tr>
        </tbody>
      </table>
    </div>
    <h2>A function to get the current directory</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Function</th>
            <th>Description</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>getcwd()</td>
            <td>Returns a string that specifies the current working directory.</td>
          </tr>
        </tbody>
      </table>
    </div>
    <h2>A constant that contains the correct path separator</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Constant</th>
            <th>Description</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>DIRECTORY_SEPARATOR</td>
            <td>A backslash on Windows servers or a forward slash on Mac OS and Linux servers.</td>
          </tr>
        </tbody>
      </table>
    </div>
    <h2>A function to get a directory listing</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Function</th>
            <th>Description</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>scandir($path)</td>
            <td>Returns an array containing a list of the files and directories in $path if $path is a valid directory name. Otherwise, it returns FALSE.</td>
          </tr>
        </tbody>
      </table>
    </div>
    <h2>Display a directory listing</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $path = getcwd(); 
      $items = scandir($path); 
      echo("&lt;p&gt;Contents of $path&lt;/p&gt;");
      echo("&lt;ul&gt;");
      foreach ($items as $item) {
        echo("&lt;li&gt;$item&lt;/li&gt;");
      } 
      echo("&lt;/ul&gt;");
      </pre>
    </div>
    <h2>Display the files from a directory listing</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $path = getcwd(); 
      $items = scandir($path); 
      $files = array(); 
      foreach ($items as $item) { 
        $item_path = $path . DIRECTORY_SEPARATOR . $item; 
        if (is_file($item_path)) { 
          $files[] = $item;
        }
      } 
      echo("&lt;p&gt;Files in $path&lt;/p&gt;");
      echo("&lt;ul&gt;");
      foreach ($files as $file) { 
        echo("&lt;li&gt;$item&lt;/li&gt;"); 
      } 
      echo("&lt;/ul&gt;");
      </pre>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>