<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to work with images</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to work with images</h1>
    <h2>A function that gets information about an image Name Description  </h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Name</th>
            <th>Description</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>getimagesize($path)</td>
            <td>Returns an array that contains seven elements that provide information about the image. Index 0 gets the image width, index 1 gets the image height, and index 2 gets one of the IMAGETYPE_XXX constants that specifies the type of the image.</td>
          </tr>
        </tbody>
      </table>
    </div>
    <h2>Common IMAGETYPE constants</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      IMAGETYPE_JPEG 
      IMAGETYPE_GIF 
      IMAGETYPE_PNG
      </pre>
    </div>
    <h2>Code that gets information about an image</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      // Set the path to the image 
      $image_path = getcwd() . DIRECTORY_SEPARATOR . 'gibson_sg.png'; 
       
      // Get the image width, height, and type 
      $image_info = getimagesize($image_path); 
      $image_width = $image_info[0]; 
      $image_height = $image_info[1]; 
      $image_type = $image_info[2]; 
       
      // Display the image type 
      switch($image_type) {
        case IMAGETYPE_JPEG:
          echo("This is a JPEG image.&lt;br />&gt;");
          break;
        case IMAGETYPE_GIF:
          echo("This is a GIF image.&lt;br />&gt;");
          break;
        case IMAGETYPE_PNG:
          echo("This is a GIF image.&lt;br />&gt;");
          break;
        default: 
          echo("File must be a JPEG, GIF, or PNG image.&lt;br />&gt;");
          exit;
      }
      </pre>
    </div>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>You can use the GD library to process existing images and to generate images from scratch.</li>
        <li>The GD library provides support for most image types including the GIF, JPEG, and PNG types.</li>
        <li>To be able to use the functions from the GD library, the GD library must be installed with your version of PHP. By default, the XAMPP installation includes the GD library.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>