<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to read and write an entire file</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to read and write an entire file</h1>
    <h2>Three functions to read an entire file</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Function</th>
            <th>Description</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>file($name)</td>
            <td>Description Returns an array with each element containing one line from the file.</td>
          </tr>
          <tr>
            <td>file_get_contents($name)</td>
            <td>Returns the contents of the file as a string.</td>
          </tr>
          <tr>
            <td>readfile($name)</td>
            <td>Reads a file and echoes it to the web page.</td>
          </tr>
        </tbody>
      </table>
    </div>
    <h2>A function to write an entire file</h2>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Function</th>
            <th>Description</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>file_put_contents($name, $data)</td>
            <td>Writes the specified data string.</td>
          </tr>
        </tbody>
      </table>
    </div>
    <h2>How to read and write text</h2>
    <h3>Read text from a file</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $text = file_get_contents('message.txt');
      $text = htmlspecialchars($text); 
      echo("&lt;div&gt;$text&lt;/div;&gt;");

      </pre>
    </div>
    <h3>Write text to a file</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $text = "This is line 1.\nThis is line 2.\n"; 
      file_put_contents('message.txt', $text);
      </pre>
    </div>
    <h2>How to read and write arrays</h2>
    <h3>Read a file into an array</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $names = file('usernames.txt'); 
      foreach ($names as $name) { 
        echo("&lt;div&gt;$name&lt;/div;&gt;");
      }
      </pre>
    </div>
    <h3>Write an array to a file</h3>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $names = array('joelmurach', 'rayharris', 'mikemurach'); 
      $names = implode("\n", $names); 
      file_put_contents('usernames.txt', $names);
      </pre>
    </div>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>PHP provides functions that let you read an entire file into a string variable and write a string variable to a file.</li>
        <li>PHP also provides functions that let you read the lines of a file into an array and write the elements of an array to the lines of a file</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>