<!doctype html>
<?php
  date_default_timezone_set("America/New_York");
?>
<html lang="en">
  <head>
    <title>How to upload a file</title>
    <link href="https://jimgerland.com/includes/css/styles.css" rel="stylesheet" />
    <link href="https://jimgerland.com/includes/css/codestyles.css" rel="stylesheet" />   
    <style>
      table, th, td {
        font-family: Verdana, Arial, Sans-Serif;
        font-size: large;
      }
    </style>
  </head>
  <body>
    <h1>How to upload a file</h1>
    <h2>An HTML form for uploading a file</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      &lt;form action="upload.php" method="post" enctype="multipart/form-data"&gt;
        &lt;input type="file" name="file1"&gt;&lt;br /&gt;
        &lt;input type="submit" value="upload"&gt;&lt;br /&gt;
      &lt;form&gt;
      </pre>
    </div>
    <h2>The browser display of the HTML</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <img src="upload.jpg" alt="browser upload image" />
    </div>
    <h2>Elements of the nested arrays in the <code>$_FILES</code> array</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th></th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>Index</td>
            <td>Description</td>
          </tr>
          <tr>
            <td>'name'</td>
            <td>The original name of the uploaded file.</td>
          </tr>
          <tr>
            <td>'size'</td>
            <td>The size of the uploaded file in bytes.</td>
          </tr>
          <tr>
            <td>'tmp_name'</td>
            <td>The temporary name of the uploaded file on the web server.</td>
          </tr>
          <tr>
            <td>'type'</td>
            <td>The MIME type of the uploaded file as sent by the user’s browser.</td>
          </tr>
          <tr>
            <td>'error'</td>
            <td>The error code associated with the file. Common values are UPLOAD_ERR_OK (no error), UPLOAD_ERR_INI_SIZE (file was too large), and UPLOAD_ERR_PARTIAL (upload was not completed).</td>
          </tr>
        </tbody>
      </table>
    </div>
    <h2>A function to save an uploaded file</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <table>
        <thead>
          <tr>
            <th>Function</th>
            <th>Description</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>move_uploaded_file($tmp, $new)</td>
            <td>Moves an uploaded file from its temporary location to a permanent location. If successful, returns TRUE.</td>
          </tr>
        </tbody>
      </table>
    </div>
    <h2> PHP for working with an uploaded file</h2>
    <div style="font-family: Courier, Arial, Sans-Serif; font-size: large;">
      <pre>
      $tmp_name = $_FILES['file1']['tmp_name']; 
      $path = getcwd() . DIRECTORY_SEPARATOR . 'images'; 
      $name = $path . DIRECTORY_SEPARATOR . $_FILES['file1']['name']; 
      $success = move_uploaded_file($tmp_name, $name); 
      if ($success) {
        $upload_message = $name . ' has been uploaded.';
      }
      </pre>
    </div>
    <div style="font-family: Verdana, Arial, Sans-Serif; font-size: large;">
    <h2>Description</h2>
      <ul>
        <li>The tag must have its method attribute set to "post" and its enctype attri-bute set to “
"multipart/form-data". Then, one 
 tag must have its type attribute set to a value of "file". This 
 tag is displayed as a Choose File button followed by a message.</li>
        <li>The <code>$_FILES</code> array contains information about each uploaded file. The index for a file in the <code>$_FILES</code> array corresponds to the name attribute of the 
 tag for the file.</li>
        <li>The temporary file for the uploaded file is deleted when the script ends.</li>
        <li>In XAMPP and WAMP, the maximum upload file size is 2MB. In MAMP it is 32MB. However, you can edit the php.ini file to increase or decrease this size.</li>
      </ul>
    </div>
    <p><a href=".">Back</a></p>
  </body>
</html>